<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( ! function_exists( 'swm_cust_array' ) ) {
    function swm_cust_array( $type ) {
        $options = '';

        switch ( $type ) {

            case 'posts_list':

                $pt_remove  = array('e-landing-page','elementor_library','cpt_sections');
                $args       = array('public' => true, '_builtin' => false );
                $post_types = get_post_types($args, 'objects');
                $posts      = array('post' => 'Post');

                foreach ($post_types as $post_type) {
                    if ( in_array($post_type->name, $pt_remove) ) { continue; }
                    $posts[$post_type->name] = $post_type->labels->singular_name;
                }

                $options = $posts;
                break;

            case 'blog_single_display_style':
                $options = [
                            'standard'             => esc_html__( 'Standard', 'studio-fifty' ),
                            'standard-alt'         => esc_html__( 'Standard - Alternate', 'studio-fifty' ),
                            'fullwidth-image'      => esc_html__( 'Full Width Image', 'studio-fifty' ),
                        ];
                break;

            case 'default_custom':
                $options = [
                            'default' => esc_html__( 'Default', 'studio-fifty' ),
                            'custom' => esc_html__( 'Custom', 'studio-fifty' ),
                            ];
                break;

            case 'progressbar':
                $options = [
                            'global' => esc_html__( 'Entire Site', 'studio-fifty' ),
                            'page'   => esc_html__( 'On All Pages', 'studio-fifty' ),
                            'post'   => esc_html__( 'On All Posts', 'studio-fifty' ),
                        ];
                break;

            case 'preloader':
                $options = [
                            'fade'            => esc_html__( 'Fade', 'studio-fifty' ),
                            'bounce-dots'     => esc_html__( 'Bounce Dots', 'studio-fifty' ),
                            'chase'           => esc_html__( 'Chase', 'studio-fifty' ),
                            'circular-spin'   => esc_html__( 'Circular Spin', 'studio-fifty' ),
                            'dot-loading'     => esc_html__( 'Dot Loading', 'studio-fifty' ),
                            'five-dots'       => esc_html__( 'Five Dots', 'studio-fifty' ),
                            'flow-dots'       => esc_html__( 'Flow Dots', 'studio-fifty' ),
                            'fold'            => esc_html__( 'Fold', 'studio-fifty' ),
                            'h-lines'         => esc_html__( 'Horizontal Lines', 'studio-fifty' ),
                            'kinetex-network' => esc_html__( 'Kinetex Network', 'studio-fifty' ),
                            'square'          => esc_html__( 'Square', 'studio-fifty' ),
                            'swing-dots'      => esc_html__( 'Swing Dots', 'studio-fifty' ),
                            'wandering-cubes' => esc_html__( 'Wandering Cubes', 'studio-fifty' ),
                            'wave'            => esc_html__( 'Wave', 'studio-fifty' ),
                        ];
                break;

            case 'font_style':
                $options = [
                            'normal' => esc_html__( 'Normal', 'studio-fifty' ),
                            'italic' => esc_html__( 'Italic', 'studio-fifty' ),
                        ];
                break;

            case 'image_size':
                $options = [
                            'thumbnail' => esc_html__( 'Thumbnail', 'studio-fifty' ),
                            'medium' => esc_html__( 'Medium', 'studio-fifty' ),
                            'large' => esc_html__( 'Large', 'studio-fifty' ),
                        ];
                break;

            case 'thme_fonts':
                $options = [
                            'none'   => esc_html__( 'None', 'studio-fifty' ),
                            'google' => esc_html__( 'Google Fonts', 'studio-fifty' ),
                            'adobe'  => esc_html__( 'Adobe Fonts', 'studio-fifty' ),
                            'custom' => esc_html__( 'Custom', 'studio-fifty' )
                            ];
                break;

            case 'font_weight':
                $options = [
                            '100' => esc_html__( '100 - Thin', 'studio-fifty' ),
                            '200' => esc_html__( '200 - Extra Light', 'studio-fifty' ),
                            '300' => esc_html__( '300 - Light', 'studio-fifty' ),
                            '400' => esc_html__( '400 - Regular', 'studio-fifty' ),
                            '500' => esc_html__( '500 - Medium', 'studio-fifty' ),
                            '600' => esc_html__( '600 - Semi Bold', 'studio-fifty' ),
                            '700' => esc_html__( '700 - Bold', 'studio-fifty' ),
                            '800' => esc_html__( '800 - Extra Bold', 'studio-fifty' ),
                            '900' => esc_html__( '900 - Black', 'studio-fifty' )
                        ];
                break;

            case 'colors':
                $options = [
                            '--swm-color-dark-1'        => esc_html__( 'Dark 1', 'studio-fifty' ),
                            '--swm-color-dark-2'        => esc_html__( 'Dark 2', 'studio-fifty' ),
                            '--swm-color-light-1'       => esc_html__( 'Light 1', 'studio-fifty' ),
                            '--swm-color-light-2'       => esc_html__( 'Light 2', 'studio-fifty' ),
                        ];
                break;

            case 'position_top_bottom':
                $options = [
                        'top' => esc_html__( 'Top', 'studio-fifty' ),
                        'bottom'  => esc_html__( 'Bottom', 'studio-fifty' )
                    ];
                break;

            case 'display_header_content':
                $options = [
                        'default' => esc_html__( 'Default', 'studio-fifty' ),
                        'custom'  => esc_html__( 'Custom', 'studio-fifty' ),
                        'hide'    => esc_html__( 'Hide Header', 'studio-fifty' )
                    ];
                break;

            case 'light_dark':
                $options = [
                            'light' => esc_html__( 'Light', 'studio-fifty' ),
                            'dark'  => esc_html__( 'Dark', 'studio-fifty' )
                        ];
                break;

            case 'go_to_scroll_icons':
                $options = [
                            'arrow-up'          => esc_html__( 'Arrow', 'studio-fifty' ),
                            'long-arrow-alt-up' => esc_html__( 'Long Arrow', 'studio-fifty' ),
                            'caret-up'          => esc_html__( 'Caret', 'studio-fifty' ),
                            'chevron-up'        => esc_html__( 'Chevron', 'studio-fifty' ),
                            'angle-up'          => esc_html__( 'Angle', 'studio-fifty' ),
                            'double-angle-up'   => esc_html__( 'Double Angle', 'studio-fifty' ),
                            'hand-point-up'     => esc_html__( 'Hand Point', 'studio-fifty' )
                        ];
                break;

            case 'shop_gallery_postion':
                $options = [
                    'bottom' => esc_html__( 'Bottom', 'studio-fifty' ),
                    'left'   => esc_html__( 'Left', 'studio-fifty' ),
                    'right'  => esc_html__( 'Right', 'studio-fifty' )
                ];
                break;

            case 'text_transform':
                $options = [
                    'none'      => esc_html__( 'None', 'studio-fifty' ),
                    'uppercase' => esc_html__( 'Uppercase', 'studio-fifty' ),
                    'lowercase' => esc_html__( 'Lowercase', 'studio-fifty' )
                ];
                break;

            case 'page_content_layout':
                $options = [
                    'layout-sidebar-right' => esc_html__( 'Content Left - Sidebar Right', 'studio-fifty' ),
                    'layout-sidebar-left'  => esc_html__( 'Content Right - Sidebar Left', 'studio-fifty' ),
                    'layout-full-width'    => esc_html__( 'No Sidebar', 'studio-fifty' ),
                    'layout-full-screen'   => esc_html__( '100% Width - Full Screen', 'studio-fifty' )
                 ];
                break;

            case 'text_align':
                $options = [
                    'left'   => esc_html__( 'Left', 'studio-fifty' ),
                    'center' => esc_html__( 'Center', 'studio-fifty' ),
                    'right'  => esc_html__( 'Right', 'studio-fifty' )
                ];
                break;

            case 'bg_img_styles':
                $options = [
                    ''             => esc_html__( 'Default', 'studio-fifty' ),
                    'cover'        => esc_html__( 'Cover', 'studio-fifty' ),
                    'stretched'    => esc_html__( 'Stretched', 'studio-fifty' ),
                    'repeat'       => esc_html__( 'Repeat', 'studio-fifty' ),
                    'fixed-top'    => esc_html__( 'Fixed Top', 'studio-fifty' ),
                    'fixed'        => esc_html__( 'Fixed Center', 'studio-fifty' ),
                    'fixed-bottom' => esc_html__( 'Fixed Bottom', 'studio-fifty' ),
                    'repeat-x'     => esc_html__( 'Repeat-x', 'studio-fifty' ),
                    'repeat-y'     => esc_html__( 'Repeat-y', 'studio-fifty' ),
                    'inherit'      => esc_html__( 'Inherit', 'studio-fifty' ),
                ];
                break;

            case 'four':
                $options = [
                            '1' => '1',
                            '2' => '2',
                            '3' => '3',
                            '4' => '4'
                        ];
                break;

            case 'two_to_six':
                $options = [
                            '2' => '2',
                            '3' => '3',
                            '4' => '4',
                            '5' => '5',
                            '6' => '6',
                        ];
                break;

            case 'eight':
                $options = [
                            '1' => '1',
                            '2' => '2',
                            '3' => '3',
                            '4' => '4',
                            '5' => '5',
                            '6' => '6',
                            '7' => '7',
                            '8' => '8',
                        ];
                break;

            case 'hundred':          $options = ['min' => '0',  'max' => '100', 'step' => '1'];    break;
            case 'two_hundred':      $options = ['min' => '0',  'max' => '200', 'step' => '1'];    break;
            case 'five_hundred':     $options = ['min' => '0',  'max' => '500', 'step' => '1'];    break;
            case 'thousand':         $options = ['min' => '0',  'max' => '1000','step' => '1'];    break;
            case 'two_thousand':     $options = ['min' => '0',  'max' => '2000','step' => '1'];    break;
            case 'font_size';        $options = ['min' => '6',  'max' => '100', 'step' => '1'];    break;
            case 'letter_space':     $options = ['min' => '-10','max' => '10',  'step' => '0.1'];  break;
            case 'letter_space_alt': $options = ['min' => '-1','max' => '1',  'step' => '.01'];  break;
            case 'layout_max_width': $options = ['min' => '500','max' => '1500','step' => '1'];    break;
            case 'content_width':    $options = ['min' => '60', 'max' => '74',  'step' => '1'];    break;
            case 'menu_resolution':  $options = ['min' => '300','max' => '2000','step' => '1'];    break;
            case 'line_height':      $options = ['min' => '1',  'max' => '5',   'step' => '0.01']; break;
            case 'one_to_twenty':    $options = ['min' => '1',  'max' => '20',  'step' => '1'];    break;
            case 'one_to_hundred':   $options = ['min' => '1',  'max' => '100', 'step' => '1'];    break;
            case 'hundred_digital':  $options = ['min' => '0',  'max' => '100', 'step' => '0.01']; break;

        }

        return $options;
    }
}