<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

/* **************************************************************************************
	Remove Default Sections
************************************************************************************** */
if ( ! function_exists( 'swm_remove_customizer_sections' ) ) {
    function swm_remove_customizer_sections( $wp_customize ) {
      $wp_customize->remove_section( 'colors' );
      $wp_customize->remove_section( 'background_image' );
    }
    add_action( 'customize_register', 'swm_remove_customizer_sections' );
}

/* **************************************************************************************
	Include Customizer Custom options, settings etc. files
************************************************************************************** */

include_once( SWM_CUSTOMIZER . 'output-css.php');
include_once( SWM_CUSTOMIZER . 'arrays.php' );
include_once( SWM_CUSTOMIZER . 'controls.php' );
include_once( SWM_CUSTOMIZER . 'fonts.php' );
include_once( SWM_CUSTOMIZER . 'theme-options.php' );
include_once( SWM_CUSTOMIZER . 'output-css.php' );
include_once( SWM_CUSTOMIZER . 'translations.php' );

if ( ! function_exists( 'swm_customizer_admin_init' ) ) {
  function swm_customizer_admin_init()  {
    wp_enqueue_style( 'swm_customizer_styles', SWM_THEME_DIR . '/customizer/css/customizer.css', '', SWM_THEME_VERSION );
  }
  add_action('customize_controls_enqueue_scripts', 'swm_customizer_admin_init');
}

if ( ! function_exists( 'swm_customizer_scripts' ) ) {
    function swm_customizer_scripts() {
    wp_enqueue_script('jquery-ui-button');
    wp_enqueue_script( 'customizer-app-js', SWM_THEME_DIR . '/customizer/js/customizer.js', array( 'jquery' ),SWM_THEME_VERSION, TRUE );
    }
    add_action( 'customize_controls_print_footer_scripts', 'swm_customizer_scripts' );
}

/* **************************************************************************************
  Include Preloader
************************************************************************************** */
if ( ! function_exists( 'swm_customizer_preloader' ) ) {
    function swm_customizer_preloader() {

      echo '<div id="swm-customizer-loading"><div id="swm-cs-proload-content"><p><span class="swm-cs-loading"></span><span>'.esc_html__('Loading','studio-fifty').'</span><span class="swm-cs-loading-title">'.esc_html__('Customizer','studio-fifty').'</span></p></div>
    </div>';
    }
    add_action( 'customize_controls_print_styles', 'swm_customizer_preloader' );
}