( function($) {

    'use strict';

    $(window).ready(function() {

        // swmCustButtonImage
        $('.swmCustButtonImage,.swm-image-switch').each( function() {
            $(this).buttonset();
        });

        // titlebar post types checkboxes
        $( '.customize-control.customize-control-multi-check input[type="checkbox"]' ).on('change', function() {
            var checkbox_values = $( this ).parents( '.customize-control' ).find( 'input[type="checkbox"]:checked' ).map(
                function() {
                    return this.value;
                }).get().join( ',' );

            $( this ).parents( '.customize-control' ).find( 'input[type="hidden"]' ).val( checkbox_values ).trigger( 'change' );
        });

        function swm_theme_fonts(themeFont) {
            var googleFontsFields = $('.swm_body_font_size-subtitle,.swm_headings_font_letter_spacing-subtitle, #customize-control-swm_google_fonts_subset_on, #customize-control-swm_google_fonts_subset_on, #customize-control-swm_google_font_subset_cyrillic, #customize-control-swm_google_font_subset_greek, #customize-control-swm_google_font_subset_vietnamese, #customize-control-swm_body_font_size, #customize-control-swm_body_font_lineheight, #customize-control-swm_google_body_font_name, #customize-control-swm_google_body_font_weight, #customize-control-swm_body_font_weight_light, #customize-control-swm_body_font_weight_medium, #customize-control-swm_body_font_weight_semi_bold, #customize-control-swm_body_font_weight_bold, #customize-control-swm_body_font_letter_spacing, #customize-control-swm_google_headings_font_name,#customize-control-swm_headings_font_letter_spacing,#customize-control-swm_google_headings_font_weight, #customize-control-swm_headings_font_weight_light, #customize-control-swm_headings_font_weight_medium, #customize-control-swm_headings_font_weight_semi_bold, #customize-control-swm_headings_font_weight_bold');

            var adobeFontsFields = $('.swm_adobe_body_font_name-subtitle,.swm_adobe_heading_font_name-subtitle, #customize-control-swm_adobe_body_font_name, #customize-control-swm_adobe_body_font_css_url, #customize-control-swm_adobe_body_font_weight, #customize-control-swm_adobe_body_font_style, #customize-control-swm_adobe_heading_font_name, #customize-control-swm_adobe_heading_font_css_url, #customize-control-swm_adobe_heading_font_weight, #customize-control-swm_adobe_heading_font_style, #customize-control-swm_adobe_heading_font_letter_spacing, #customize-control-swm_adobe_body_font_letter_spacing');

            var customFontsFields = $('.swm_custom_body_font_name-subtitle,.swm_custom_heading_font_name-subtitle, #customize-control-swm_custom_body_font_name, #customize-control-swm_custom_body_font_woff, #customize-control-swm_custom_body_font_woff2, #customize-control-swm_custom_body_font_weight, #customize-control-swm_custom_body_font_style, #customize-control-swm_custom_heading_font_name, #customize-control-swm_custom_heading_font_woff, #customize-control-swm_custom_heading_font_woff2, #customize-control-swm_custom_heading_font_weight, #customize-control-swm_custom_heading_font_style, #customize-control-swm_custom_heading_font_letter_spacing, #customize-control-swm_custom_body_font_letter_spacing');

            $(customFontsFields).hide();
            $(googleFontsFields).hide();
            $(adobeFontsFields).hide();
            var $themeFont = themeFont;

            if($themeFont.val() == 'google') {
                $(googleFontsFields).show();
            } else if($themeFont.val() == 'adobe') {
                $(adobeFontsFields).show();
            } else if($themeFont.val() == 'custom') {
                $(customFontsFields).show();
            }
        }

        var swmThemeFont = $('#_customize-input-swm_theme_fonts');
        swm_theme_fonts(swmThemeFont);
        swmThemeFont.change(function() { swm_theme_fonts(swmThemeFont);  });

        $('#swm-customizer-loading').delay(500).fadeOut('slow');

        function swm_is_exist_in_obj(field, object) {
            for (var i in object) {
                if (object[i] === field) {
                    return (true);
                }
            }
            return (false);
        }

        function swm_GetFontWeight(selectField) {

            // customizer option has field
            // "swm_google_body_font_weight" and "swm_google_headings_font_weight"
            var fieldID = selectField.data('customize-setting-link').replace(/name/, "weight"),
                fontName = jQuery('option:selected', selectField).val(),
                fontWeight = _wpCustomizeSettings.settings.swm_google_font_weight_list.value[fontName];
            $('input[name="_customize-radio-' + fieldID + '"]').each( function() {
                var $this = $(this);
                if ( ! swm_is_exist_in_obj( $this.val(), fontWeight ) ) {
                    $this.parent().attr('data-custmizer-hide', 'true');
                } else {
                    $this.parent().removeAttr('data-custmizer-hide');
                }
            });

        }

        var $swm_CheckedTrigger = jQuery('#sub-accordion-section-swm_fonts_options select');

        $swm_CheckedTrigger.each( function() {
          swm_GetFontWeight( $(this) );
        }).on('change', function() {
          swm_GetFontWeight( $(this) );
        });

        $('#customize-control-x_custom_fonts input').on('change', function() {
          $swm_CheckedTrigger.each( function() {
            swm_GetFontWeight( $(this) );
          });
        });

        //mini select
        var swm_MiniSelectFields = jQuery('label.swm-body-sw,label.swm-primary-nav_sw,label.swm-headings-sw');
        swm_MiniSelectFields.parent().css({
            'width': '35%',
            'margin': 0
        });

    });

    $(document).ready(function() {

        function swm_elements_on_off() {

            var swm_on_off_arrays = [

                [ 'swm_page_preloader_on', 'on', '#customize-control-swm_page_preloader_style, #customize-control-swm_page_preloader_skin' ],

                [ 'swm_smooth_scroll_on', 'on', '#customize-control-swm_smooth_scroll_number, #customize-control-swm_smooth_scroll_mobile_on' ],

                [ 'swm_bottom_go_top_scroll_btn_on', 'on', '#customize-control-swm_btt_btn_style' ],

                [ 'swm_single_page_titlebar_on', 'on', '#customize-control-swm_blog_single_header_title' ],

                [ 'swm_single_post_title_on', 'on', '#customize-control-swm_single_post_title_size, #customize-control-swm_single_post_title_letter_space, #customize-control-swm_single_post_title_lineheight, #customize-control-swm_single_post_title_transform' ],

                [ 'swm_pagination_custom_colors_on', 'on', '#customize-control-swm_pagination_color, #customize-control-swm_pagination_bg, #customize-control-swm_pagination_hover_color, #customize-control-swm_pagination_hover_bg' ],

                [ 'swm_page_preloader_colors_on', 'on', '#customize-control-swm_page_preloader_colors_1, #customize-control-swm_page_preloader_colors_2, #customize-control-swm_page_preloader_colors_3' ],

                [ 'swm_button_custom_colors_on', 'on', '#customize-control-swm_button_color, #customize-control-swm_button_bg, #customize-control-swm_button_border_color, #customize-control-swm_button_hover_color, #customize-control-swm_button_hover_bg, #customize-control-swm_button_hover_border_color' ],

                [ 'swm_mm_custom_colors_on', 'on', '#customize-control-swm_mm_icon_col,#customize-control-swm_mm_bg_col, #customize-control-swm_mm_links_col, #customize-control-swm_mm_links_hover_col, #customize-control-swm_mm_copyright_color, #customize-control-swm_mm_social_col, #customize-control-swm_mm_social_hover_col, #customize-control-swm_mm_close_icon_col' ],

                [ 'swm_titlebar_custom_colors_on', 'on', '#customize-control-swm_page_title_bar_bg_color, #customize-control-swm_page_title_bar_title_color' ],

                [ 'swm_shop_list_custom_colors_on', 'on', '#customize-control-swm_shop_list_title_color, #customize-control-swm_shop_list_price_color, #customize-control-swm_shop_list_bg_color, #customize-control-swm_wc_sale_badge_bg, #customize-control-swm_wc_sale_badge_font_color' ],

                [ 'swm_shop_single_custom_colors_on', 'on', '#customize-control-swm_shop_single_title_color, #customize-control-swm_shop_single_price_color, #customize-control-swm_shop_single_tab_color, #customize-control-swm_shop_single_tab_bg_color, #customize-control-swm_shop_single_tab_active_color, #customize-control-swm_shop_single_tab_active_bg_color, #customize-control-swm_shop_single_meta_color' ],

                [ 'swm_cursor_custom_colors_on', 'on', '#customize-control-swm_cursor_bg_color, #customize-control-swm_cursor_icon_color' ],

                [ 'swm_footer_custom_colors_on', 'on', '#customize-control-swm_widget_footer_bg_color, #customize-control-swm_widget_footer_bg_color_two, #customize-control-swm_widget_footer_border_color, #customize-control-swm_widget_footer_text_color, #customize-control-swm_widget_footer_links_color, #customize-control-swm_widget_footer_links_hover_color, #customize-control-swm_widget_footer_title_color, #customize-control-swm_widget_footer_title_circle_color, #customize-control-swm_small_footer_text_color, #customize-control-swm_small_footer_link_color, #customize-control-swm_small_footer_link_h_color, #customize-control-swm_small_footer_top_border_color' ],

                [ 'swm_wc_single_gallery_position', 'bottom', '#customize-control-swm_wc_single_gallery_col' ],

                [ 'swm_reading_progressbar_on', 'on', '#customize-control-swm_reading_progressbar_view, #customize-control-swm_reading_progressbar_color, #customize-control-swm_reading_progressbar_height' ],

                [ 'swm_display_header', 'custom', '#customize-control-swm_header_section, #customize-control-swm_sticky_header_section, #customize-control-swm_custom_sticky_header_on, #customize-control-swm_custom_sticky_header_scroll_up, #customize-control-swm_custom_sticky_header_mobile_on, #customize-control-swm_custom_sticky_header_on, #customize-control-swm_sticky_header_section' ],

                [ 'swm_display_header', 'default', '#customize-control-swm_main_header_bg_color, #customize-control-swm_header_height, #customize-control-swm_logo_standard, #customize-control-swm_logo_standard_width, #customize-control-swm_logo_standard_height, #customize-control-swm_pr_menu_font_size, #customize-control-swm_pr_menu_links_text_color, #customize-control-swm_pr_menu_links_text_hover_color, #customize-control-swm_dd_menu_font_size, #customize-control-swm_dd_menu_font_color, #customize-control-swm_d_menu_font_hov_color, #customize-control-swm_dd_bg_color,.swm_logo_standard-subtitle, .swm_pr_menu_font_size-subtitle, .swm_dd_menu_font_size-subtitle, #customize-control-swm_mm_main_font_size, #customize-control-swm_mm_sub_font_size, .swm_mm_main_font_size-subtitle' ],

                [ 'swm_custom_sticky_header_on', 'on', '#customize-control-swm_sticky_header_section, #customize-control-swm_custom_sticky_header_scroll_up, #customize-control-swm_custom_sticky_header_mobile_on' ],

                [ 'swm_display_pagetitlebar', 'custom', '#customize-control-swm_pagetitlebar_section' ],

                [ 'swm_display_pagetitlebar', 'default', '#customize-control-swm_page_title_bar_title_padding'],

                [ 'swm_display_posttitlebar', 'custom', '#customize-control-swm_posttitlebar_section' ],

                [ 'swm_display_posttitlebar', 'default', '#customize-control-swm_post_title_bar_title_padding' ],

                [ 'swm_display_footer', 'default', '#customize-control-swm_widget_footer_on, #customize-control-swm_widget_footer_column, #customize-control-swm_small_footer_on, #customize-control-swm_small_footer_copyright' ],

                [ 'swm_display_footer', 'custom', '#customize-control-swm_footer_section' ],

                [ 'swm_page_title_bar_bg_size', 'off', '#customize-control-swm_page_title_bar_bg_position, #customize-control-swm_page_title_bar_bg_repeat, #customize-control-swm_page_title_bar_bg_attachment' ],

                [ 'swm_excerpt_on', 'on', '#customize-control-swm_excerpt_length' ],

                [ 'swm_google_fonts_subset_on', 'on', '#customize-control-swm_google_font_subset_cyrillic, #customize-control-swm_google_font_subset_greek, #customize-control-swm_google_font_subset_vietnamese' ],

                [ 'swm_home_blog_header', 'on', '#customize-control-swm_header_rev_slider_shortcode, #customize-control-swm_home_blog_header_style' ],

                [ 'swm_blog_page_layout', 'layout-full-width', '#customize-control-swm_featured_fullwidth_img_height' ],

                [ 'swm_bottom_go_top_scroll_btn_on', 'on', '#customize-control-swm_bottom_go_top_scroll_bg, #customize-control-swm_bottom_go_top_scroll_shape_color' ],

                [ 'swm_single_related_posts_on', 'on', '#customize-control-swm_single_related_posts_column, #customize-control-swm_single_related_posts_number, #customize-control-swm_single_related_posts_transform, #customize-control-swm_single_related_posts_ttl_size, #customize-control-swm_single_related_posts_meta_on, #customize-control-swm_single_related_posts_meta_date' ]

            ];

            $.each(swm_on_off_arrays, function( index, value ) {

                var element = value[0],
                    key     = value[1],
                    targets = value[2];

                var new_element = '#customize-control-' + element + ' input:checked';
                var element_values = '#customize-control-' + element + ' input';
                var $default_elem = $(new_element).val();
                var $target_val = $(element_values);
                var $targets_elem = [ { key : key,  target : targets } ];

                // default
                $.each( $targets_elem, function( index, item ) {
                    if ( item.key !== $default_elem ) {
                        $( item.target ).attr('data-custmizer-hide', 'true');
                    } else {
                        $( item.target ).removeAttr('data-custmizer-hide');
                    }
                });

                // new look
                $target_val.change( function() {
                    var $value = $(this).val();
                    $.each( $targets_elem, function( index, item ) {
                        if ( item.key !== $value ) {
                            $( item.target ).attr('data-custmizer-hide', 'true');
                        } else {
                            $( item.target ).removeAttr('data-custmizer-hide');
                        }
                    });
                });

            }); // end swm_on_off_arrays .each

        }

        swm_elements_on_off();

        // Tooltip
        $( function() {var targets = $( '[rel~=tooltip]' ), target  = false, tooltip = false, title   = false; targets.on( 'mouseenter', function() {target  = $( this ); var tip     = target.attr( 'title' ); tooltip = $( '<div id="swm-tooltip"></div>' ); if( !tip || tip == '' ) return false; target.removeAttr( 'title' ); tooltip.css( 'opacity', 0 ) .html( tip ) .appendTo( 'body' ); var init_tooltip = function() {if( $( window ).width() < tooltip.outerWidth() * 1.5 ) tooltip.css( 'max-width', $( window ).width() / 2 ); else tooltip.css( 'max-width', 250 ); var pos_left = target.offset().left + ( target.outerWidth() / 2 ) - ( tooltip.outerWidth() / 2 ), pos_top  = target.offset().top - tooltip.outerHeight() - 20; if( pos_left < 0 ) {pos_left = target.offset().left + target.outerWidth() / 2 - 20; tooltip.addClass( 'left' ); } else tooltip.removeClass( 'left' ); if( pos_left + tooltip.outerWidth() > $( window ).width() ) {pos_left = target.offset().left - tooltip.outerWidth() + target.outerWidth() / 2 + 20; tooltip.addClass( 'right' ); } else tooltip.removeClass( 'right' ); if( pos_top < 0 ) {var pos_top  = target.offset().top + target.outerHeight(); tooltip.addClass( 'top' ); } else tooltip.removeClass( 'top' ); tooltip.css( { left: pos_left, top: pos_top } ) .animate( { top: '+=10', opacity: 1 }, 50 ); }; init_tooltip(); $( window ).resize( init_tooltip ); var remove_tooltip = function() {tooltip.animate( { top: '-=10', opacity: 0 }, 50, function() {$( this ).remove(); }); target.attr( 'title', tip ); }; target.on( 'mouseleave', remove_tooltip ); tooltip.on( 'click', remove_tooltip ); }); });

        var swm_CustomControls = {
            cache: {},

            init: function() {
                // Populate cache
                this.cache.$buttonset  = $('.swm-control-buttonset');

                // Initialize Button sets
                if (this.cache.$buttonset.length > 0) {
                    this.buttonset();
                }

            },

            buttonset: function() {
                this.cache.$buttonset.buttonset();
            }

        };

        swm_CustomControls.init();

        // Refresh link on the post editor when select with section is changed in VC editor
        jQuery( '.swmCustomSectionsLink' ).each(
            function() {
                var link = jQuery( this );
                link.parent().parent().find( 'select' ).on(
                    'change', function() {
                        swm_change_post_edit_link_new( link );
                    }
                ).trigger('change');
            }
        );

        function swm_change_post_edit_link_new(a) {

            if (a.length > 0) {

                var sel = a.parent().parent().find( 'select' ),
                    val = sel.val();
                    var id = val !== '' && val !== 'inherit' && val !== null
                                ? ('' + val).split( '-' ).pop()
                                : 0;
                    a.attr( 'href', a.attr( 'href' ).replace( /post=[0-9]{1,5}/, "post=" + id ) );
                    if (id == 0 || id == 'none') {
                        a.addClass( 'mk_hidden' );
                    } else {
                        a.removeClass( 'mk_hidden' );
                    }

            }
        }


    });


})(jQuery);