<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
?>

.swm-post-title h2,.swm-post-title h2 a,.swm-post-title h1 {
    letter-spacing:<?php echo floatval(get_theme_mod( 'swm_post_title_letter_space', 0 )); ?>px;
    text-transform:<?php echo esc_html(get_theme_mod( 'swm_post_title_transform', 'uppercase' )); ?>;
}

<?php
    $swm_post_title_size_desktop = ( is_single() ) ? get_theme_mod( 'swm_single_post_title_size_desktop', 45 ) : get_theme_mod( 'swm_post_title_size_desktop', 45 );
    $swm_post_title_lineheight_desktop = ( is_single() ) ? get_theme_mod( 'swm_single_post_title_lineheight_desktop', 55 ) : get_theme_mod( 'swm_post_title_lineheight_desktop', 55 );
    $swm_post_title_font_weight = ( is_single() ) ? get_theme_mod( 'swm_single_post_title_font_weight', 700 ) : get_theme_mod( 'swm_post_title_font_weight', 700 );

    if ( $swm_post_title_size_desktop || $swm_post_title_lineheight_desktop ) : ?>

    @media only screen and (min-width: 1025px) {
        .swm-post-title h2,
        .swm-post-title h2 a,
        .swm-post-title h1 {

            <?php if ( $swm_post_title_size_desktop ) { ?>
                font-size:<?php echo floatval($swm_post_title_size_desktop); ?>px;
            <?php } ?>

            <?php if ( $swm_post_title_lineheight_desktop ) { ?>
                line-height:<?php echo floatval($swm_post_title_lineheight_desktop); ?>px;
            <?php } ?>

            <?php if ( $swm_post_title_font_weight ) { ?>
                font-weight:<?php echo floatval($swm_post_title_font_weight); ?>;
            <?php } ?>
        }

    }

<?php endif; ?>

<?php
    $swm_post_title_size_tablet = ( is_single() ) ? get_theme_mod( 'swm_single_post_title_size_tablet', 35 ) : get_theme_mod( 'swm_post_title_size_tablet', 35 );
    $swm_post_title_lineheight_tablet = ( is_single() ) ? get_theme_mod( 'swm_single_post_title_lineheight_tablet', 45 ) : get_theme_mod( 'swm_post_title_lineheight_tablet', 45 );

    if ( $swm_post_title_size_tablet || $swm_post_title_lineheight_tablet ) : ?>

    @media only screen and (max-width:1024px) {
        .swm-post-title h2,
        .swm-post-title h2 a,
        .swm-post-title h1 {

            <?php if ( $swm_post_title_size_tablet ) { ?>
                font-size:<?php echo floatval($swm_post_title_size_tablet); ?>px;
            <?php } ?>

            <?php if ( $swm_post_title_lineheight_tablet ) { ?>
                line-height:<?php echo floatval($swm_post_title_lineheight_tablet); ?>px;
            <?php } ?>

        }

    }

<?php endif; ?>

<?php
    $swm_post_title_size_mobile = ( is_single() ) ? get_theme_mod( 'swm_single_post_title_size_mobile', 25 ) : get_theme_mod( 'swm_post_title_size_mobile', 25 );
    $swm_post_title_lineheight_mobile = ( is_single() ) ? get_theme_mod( 'swm_single_post_title_lineheight_mobile', 35 ) : get_theme_mod( 'swm_post_title_lineheight_mobile', 35 );

    if ( $swm_post_title_size_mobile || $swm_post_title_lineheight_mobile ) : ?>

    @media only screen and (max-width:767px) {
        .swm-post-title h2,
        .swm-post-title h2 a,
        .swm-post-title h1 {

            <?php if ( $swm_post_title_size_mobile ) { ?>
                font-size:<?php echo floatval($swm_post_title_size_mobile); ?>px;
            <?php } ?>

            <?php if ( $swm_post_title_lineheight_mobile ) { ?>
                line-height:<?php echo floatval($swm_post_title_lineheight_mobile); ?>px;
            <?php } ?>

        }

    }

<?php endif; ?>


<?php if ( is_single() ) : ?>

    .swm-post-title h1  {
        letter-spacing:<?php echo floatval(get_theme_mod( 'swm_single_post_title_letter_space', 0 )); ?>px;
        text-transform:<?php echo esc_html(get_theme_mod( 'swm_single_post_title_transform', 'uppercase' )); ?>;
    }

    h3.swm-single-pg-titles,
    h5.swm-single-pg-titles,
    #comments h3.swm-single-pg-titles,
    #respond h3.comment-reply-title {
        letter-spacing:<?php echo floatval(get_theme_mod( 'swm_post_single_section_ttl_letter_space', 0 )); ?>px;
        text-transform:<?php echo esc_html(get_theme_mod( 'swm_post_single_section_ttl_transform', 'uppercase' )); ?>;
    }

    <?php
        $swm_post_single_section_ttl_size_desktop = get_theme_mod( 'swm_post_single_section_ttl_size_desktop', 38 );
        $swm_post_single_section_ttl_lineheight_desktop = get_theme_mod( 'swm_post_single_section_ttl_lineheight_desktop', 50 );

        if ( $swm_post_single_section_ttl_size_desktop || $swm_post_single_section_ttl_lineheight_desktop ) : ?>

        @media only screen and (min-width: 1025px) {
            h3.swm-single-pg-titles,
            h5.swm-single-pg-titles,
            #comments h3.swm-single-pg-titles,
            #respond h3.comment-reply-title {

                <?php if ( $swm_post_single_section_ttl_size_desktop ) { ?>
                    font-size:<?php echo floatval($swm_post_single_section_ttl_size_desktop); ?>px;
                <?php } ?>

                <?php if ( $swm_post_single_section_ttl_lineheight_desktop ) { ?>
                    line-height:<?php echo floatval($swm_post_single_section_ttl_lineheight_desktop); ?>px;
                <?php } ?>
            }

        }

    <?php endif;

        $swm_post_single_section_ttl_size_tablet = get_theme_mod( 'swm_post_single_section_ttl_size_tablet', 30 );
        $swm_post_single_section_ttl_lineheight_tablet = get_theme_mod( 'swm_post_single_section_ttl_lineheight_tablet', 40 );

        if ( $swm_post_single_section_ttl_size_tablet || $swm_post_single_section_ttl_lineheight_tablet ) : ?>

        @media only screen and (max-width:1024px) {
            #swm-page h3.swm-single-pg-titles,
            #swm-page h5.swm-single-pg-titles,
            #swm-page #comments h3.swm-single-pg-titles,
            #swm-page #respond h3.comment-reply-title {

                <?php if ( $swm_post_single_section_ttl_size_tablet ) { ?>
                    font-size:<?php echo floatval($swm_post_single_section_ttl_size_tablet); ?>px;
                <?php } ?>

                <?php if ( $swm_post_single_section_ttl_lineheight_tablet ) { ?>
                    line-height:<?php echo floatval($swm_post_single_section_ttl_lineheight_tablet); ?>px;
                <?php } ?>
            }

        }

    <?php endif;

        $swm_post_single_section_ttl_size_mobile = get_theme_mod( 'swm_post_single_section_ttl_size_mobile', 22 );
        $swm_post_single_section_ttl_lineheight_mobile = get_theme_mod( 'swm_post_single_section_ttl_lineheight_mobile', 33 );

        if ( $swm_post_single_section_ttl_size_mobile || $swm_post_single_section_ttl_lineheight_mobile ) : ?>

        @media only screen and (max-width:767px) {
            #swm-page h3.swm-single-pg-titles,
            #swm-page h5.swm-single-pg-titles,
            #swm-page #comments h3.swm-single-pg-titles,
            #swm-page #respond h3.comment-reply-title {

                <?php if ( $swm_post_single_section_ttl_size_mobile ) { ?>
                    font-size:<?php echo floatval($swm_post_single_section_ttl_size_mobile); ?>px;
                <?php } ?>

                <?php if ( $swm_post_single_section_ttl_lineheight_mobile ) { ?>
                    line-height:<?php echo floatval($swm_post_single_section_ttl_lineheight_mobile); ?>px;
                <?php } ?>
            }

        }

    <?php endif; ?>






    .swm-related-link {
        font-size:<?php echo floatval(get_theme_mod( 'swm_single_related_posts_ttl_size', 17 )); ?>px;
        text-transform:<?php echo esc_html(get_theme_mod( 'swm_single_related_posts_transform', 'none' )); ?>;
    }

    <?php
        $swm_blog_single_layout = get_theme_mod('swm_blog_single_layout','standard');
        $swm_meta_blog_single_layout = get_post_meta( swm_get_queried_object_id(), 'swm_meta_blog_single_layout', true );

        if ( 'default' !== $swm_meta_blog_single_layout ) {
            $swm_blog_single_layout = $swm_meta_blog_single_layout;
        }

        if (  $swm_blog_single_layout == 'fullwidth-image' ) { ?>
            .swm_single_fullwidth_image {
                height:<?php echo floatval(get_theme_mod('swm_single_post_bg_height',600)); ?>px;
                background-image:url(<?php echo esc_url(get_the_post_thumbnail_url(get_the_ID(), 'full')); ?>);
            }

        @media only screen and (max-width: 767px) {
            .swm_single_fullwidth_image {
                height:<?php echo floatval(get_theme_mod('swm_single_post_bg_height_mob',400)); ?>px;
            }
        }
    <?php } ?>
<?php endif; ?>