<?php
if ( ! defined( 'ABSPATH' ) ) { exit; } ?>


<?php if ( get_theme_mod( 'swm_page_preloader_colors_on', 'off' ) == 'on' ) : ?>

    body .swm-loader-holder {
        --swm-loader-color-dark: <?php echo sanitize_hex_color(get_theme_mod( 'swm_page_preloader_colors_1', '#000000' ));?>;
        --swm-loader-color-body:<?php echo sanitize_hex_color(get_theme_mod( 'swm_page_preloader_colors_2', '#eeeeee' ));?>;
        --swm-loader-color-light:<?php echo sanitize_hex_color(get_theme_mod( 'swm_page_preloader_colors_3', '#ffffff' ));?>;
    }

    body.swm-page-preloader-dark .swm-loader-holder {
        --swm-loader-color-dark: <?php echo sanitize_hex_color(get_theme_mod( 'swm_page_preloader_colors_3', '#ffffff' ));?>;
        --swm-loader-color-body: <?php echo sanitize_hex_color(get_theme_mod( 'swm_page_preloader_colors_1', '#000000' ));?>;
        --swm-loader-color-light: <?php echo sanitize_hex_color(get_theme_mod( 'swm_page_preloader_colors_1', '#000000' ));?>;
        background: <?php echo sanitize_hex_color(get_theme_mod( 'swm_page_preloader_colors_1', '#000000' ));?>;
    }

<?php endif; ?>

@media (min-width:1025px) {
 	.swm-container {
  		max-width:<?php echo intval(get_theme_mod( 'swm_layout_max_width', 1440 )); ?>px;
 	}
}

<?php if ( get_theme_mod( 'swm_cursor_custom_colors_on','off' ) == 'on' ) : ?>

    .mk-custom-cursor .mk-custom-cursor-inner {
        background:<?php echo sanitize_hex_color(get_theme_mod( 'swm_cursor_bg_color', '#000000' ));?>;
        color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_cursor_icon_color', '#ffffff' ));?>;
    }

    .mk-eye-cursor .mk-eye-cursor-bg { background:<?php echo sanitize_hex_color(get_theme_mod( 'swm_cursor_bg_color', '#000000' ));?>; }
    .mk-eye-cursor .mk-eye-cursor-icon { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_cursor_icon_color', '#ffffff' ));?>; fill:<?php echo sanitize_hex_color(get_theme_mod( 'swm_cursor_icon_color', '#ffffff' ));?>; }

<?php endif;

// container left and right padding

$swm_container_padding = get_theme_mod( 'swm_container_padding', 20 );

if ( $swm_container_padding ) {	?>
	.swm-container { padding: 0 <?php echo intval($swm_container_padding); ?>px; }
<?php }

// Content top and bottom padding

$swm_content_padding                   = get_theme_mod( 'swm_content_padding', '0 0 120px 0' );
$swm_content_padding_mobile            = get_theme_mod( 'swm_content_padding_mobile', '0 0 60px 0' );
$swm_content_padding_mobile_resolution = '1024';
$swm_content_padding_mobile_resolution = apply_filters( 'swm_content_padding_mobile_resolution', $swm_content_padding_mobile_resolution );

$swm_meta_content_padding = get_post_meta( swm_get_queried_object_id(), 'swm_meta_content_padding', true );
if ('' != ($swm_meta_content_padding)) {
    $swm_content_padding = $swm_meta_content_padding;
}

$swm_meta_content_padding_mobile = get_post_meta( swm_get_queried_object_id(), 'swm_meta_content_padding_mobile', true );
if ('' != ($swm_meta_content_padding_mobile)) {
    $swm_content_padding_mobile = $swm_meta_content_padding_mobile;
}

?>

.swm-main-container.swm-site-content { padding:<?php echo esc_attr($swm_content_padding); ?> }

/* Fonts ----------------- */

<?php
if ( get_theme_mod( 'swm_theme_fonts', 'google' ) == 'google' ) {

    $swm_headings_font_weight       = get_theme_mod( 'swm_google_headings_font_weight', '700' );
    $swm_final_headings_font_weight = swm_google_fonts_final_weight( $swm_headings_font_weight );
    $swm_check_headings_font_italic = swm_check_google_font_italic( $swm_headings_font_weight );

    $swm_google_body_font_name   = get_theme_mod( 'swm_google_body_font_name', 'DM Sans' );
    $swm_body_font_weight        = get_theme_mod( 'swm_google_body_font_weight', '400' );
    $swm_check_body_font_italic  = swm_check_google_font_italic( $swm_body_font_weight );
    ?>

    body {
        font-family:'<?php echo esc_attr($swm_google_body_font_name); ?>';
        font-weight:<?php echo swm_google_fonts_final_weight( get_theme_mod( 'swm_google_body_font_weight', '400' ) ); ?>;
        font-style: <?php echo esc_attr($swm_check_body_font_italic) ? 'italic' : 'normal'; ?> !important;
        letter-spacing:<?php echo esc_attr(get_theme_mod( 'swm_body_font_letter_spacing', '0' )); ?>em;
    }

    :root {
        --swm-body-font-family:'<?php echo esc_attr($swm_google_body_font_name); ?>';
        --swm-headings-font-family:'<?php echo esc_html(get_theme_mod( 'swm_google_headings_font_name', 'Unbounded' )); ?>';
        --swm-headings-font-style:<?php echo esc_html($swm_check_headings_font_italic) ? 'italic' : 'normal'; ?> !important;
        --swm-headings-font-weight:<?php echo intval($swm_final_headings_font_weight); ?>;
        --swm-headings-letter-spacing:<?php echo intval(get_theme_mod( 'swm_headings_font_letter_spacing', '0' )); ?>em;
    }

    <?php

} elseif ( get_theme_mod( 'swm_theme_fonts', 'google' ) == 'adobe' ) { ?>

    body {
        font-family:<?php echo esc_html(get_theme_mod( 'swm_adobe_body_font_name' )); ?>;
        font-style:<?php echo esc_html(get_theme_mod( 'swm_adobe_body_font_style', 'normal' )); ?> !important;
        font-weight:<?php echo intval(get_theme_mod( 'swm_adobe_body_font_weight', '400' )); ?>;
        letter-spacing:<?php echo intval(get_theme_mod( 'swm_adobe_body_font_letter_spacing', '0' )); ?>em;
    }

    :root {
        --swm-body-font-family:<?php echo esc_html(get_theme_mod( 'swm_adobe_body_font_name' )); ?>;
        --swm-headings-font-family:<?php echo esc_html(get_theme_mod( 'swm_adobe_heading_font_name' )); ?>;
        --swm-headings-font-style:<?php echo esc_html(get_theme_mod( 'swm_adobe_heading_font_style', 'normal' )); ?> !important;
        --swm-headings-font-weight:<?php echo intval(get_theme_mod( 'swm_adobe_heading_font_weight', '400' )); ?>;
        --swm-headings-letter-spacing:<?php echo intval(get_theme_mod( 'swm_adobe_heading_font_letter_spacing', '0' )); ?>em;
    }

    <?php

} elseif ( get_theme_mod( 'swm_theme_fonts', 'google' ) == 'custom' ) { ?>
    @font-face {
      font-family: <?php echo esc_html(get_theme_mod( 'swm_custom_body_font_name' )); ?>;
      src:  url('<?php echo esc_url(get_theme_mod( 'swm_custom_body_font_woff2' )); ?>') format('woff2'),
            url('<?php echo esc_url(get_theme_mod( 'swm_custom_body_font_woff' )); ?>') format('woff');
    }

    @font-face {
      font-family: <?php echo esc_html(get_theme_mod( 'swm_custom_heading_font_name' )); ?>;
      src:  url('<?php echo esc_url(get_theme_mod( 'swm_custom_heading_font_woff2' )); ?>') format('woff2'),
            url('<?php echo esc_url(get_theme_mod( 'swm_custom_heading_font_woff' )); ?>') format('woff');
    }

    body {
        font-family:<?php echo esc_html(get_theme_mod( 'swm_custom_body_font_name' )); ?>;
        font-style:<?php echo esc_html(get_theme_mod( 'swm_custom_body_font_style', 'normal' )); ?> !important;
        font-weight:<?php echo intval(get_theme_mod( 'swm_custom_body_font_weight', '400' )); ?>;
        letter-spacing:<?php echo intval(get_theme_mod( 'swm_custom_body_font_letter_spacing', '0' )); ?>em;
    }

    :root {
        --swm-body-font-family:<?php echo esc_html(get_theme_mod( 'swm_custom_body_font_name' )); ?>;
        --swm-headings-font-family:<?php echo esc_html(get_theme_mod( 'swm_custom_heading_font_name' )); ?>;
        --swm-headings-font-style:<?php echo esc_html(get_theme_mod( 'swm_custom_heading_font_style', 'normal' )); ?> !important;
        --swm-headings-font-weight:<?php echo intval(get_theme_mod( 'swm_custom_heading_font_weight', '400' )); ?>;
        --swm-headings-letter-spacing:<?php echo intval(get_theme_mod( 'swm_custom_heading_font_letter_spacing', '0' )); ?>em;
    }
    <?php
}
?>

@media only screen and (max-width: <?php echo intval($swm_content_padding_mobile_resolution); ?>px) {
    .swm-main-container.swm-site-content { padding:<?php echo esc_attr($swm_content_padding_mobile); ?> }
}

@media only screen and (min-width: 1025px) {

	/* Site Content Section - With sidebar content width ----------------- */

	<?php if ($swm_content_width = get_theme_mod( 'swm_content_width','70' )) { ?>
		.swm-custom-two-third { width: <?php echo intval($swm_content_width) - 6.0.'%'; ?>; }
        <?php $swm_SidebarTotalWidth = $swm_content_width + 1; ?>
		#sidebar { width: calc(100% - <?php echo intval($swm_SidebarTotalWidth);?>%); }
	<?php } ?>

    <?php if ( SWM_WOOCOMMERCE_IS_ACTIVE && is_shop() ) : ?>

    <?php if ($swm_shop_list_content_width = get_theme_mod( 'swm_shop_list_content_width' )) { ?>
        .swm-custom-two-third { width: <?php echo intval($swm_shop_list_content_width) - 6.0.'%'; ?>; }

        <?php $swm_Shop_SidebarTotalWidth = $swm_shop_list_content_width + 1; ?>
        #sidebar { width: calc(100% - <?php echo intval($swm_Shop_SidebarTotalWidth);?>%); }
    <?php } ?>

    <?php endif; ?>

	<?php
	if (swm_customizer_metabox_onoff('swm_content_layout','swm_meta_content_layout','layout-full-width','default') == 'layout-full-screen') {
		echo '.swm-site-content .swm-container .swm-custom-two-third { width:100%; max-width:100%; }';
	}
	?>
}

<?php if ( get_theme_mod( 'swm_pagination_custom_colors_on', 'off' ) == 'on' ) { ?>

    .swm-container .swm-next-prev-pagination a,
    .swm-next-prev-pagination a,
    .mk-next-prev-pagination a,
    .swm-site-content .swm-pagination a.page-numbers,
    .swm-site-content .swm-pagination-menu a,
    .swm-site-content .mk-pagination a.page-numbers,
    .swm-site-content .mk-pagination-menu a { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_pagination_color', '#555555')); ?>; }

    .swm-site-content .swm-pagination .page-numbers.current,
    .swm-site-content .swm-pagination-menu>span,
    .swm-site-content .swm-pagination-menu>a:hover,
    .swm-site-content .swm-next-prev-pagination a:hover,
    .swm-site-content .mk-pagination-menu>a:hover,
    .swm-site-content .mk-next-prev-pagination a:hover,
    .swm-site-content .swm-pagination a.page-numbers:hover,
    .swm-site-content span.post-page-numbers.current,
    .swm-site-content .swm-pagination-menu a:hover,
    .swm-site-content a.post-page-numbers:hover,
    .swm-site-content .mk-pagination .page-numbers.current,
    .swm-site-content .mk-pagination-menu>span,
    .swm-site-content .mk-pagination a.page-numbers:hover,
    .swm-site-content .mk-pagination-menu a:hover { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_pagination_hover_color', '#000000')); ?>; }

    <?php if ( SWM_WOOCOMMERCE_IS_ACTIVE ) : ?>

    .woocommerce nav.woocommerce-pagination a {
        color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_pagination_color', '#555555')); ?>
    }

    .woocommerce nav.woocommerce-pagination a:hover,
    .woocommerce nav.woocommerce-pagination span.current {
        color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_pagination_hover_color', '#000000')); ?>
    }

    <?php endif; ?>

<?php } ?>

<?php if ( is_search() ) { ?>
    ul.swm-search-list > li h5 a {
        font-size:<?php echo floatval(get_theme_mod( 'swm_search_ttl_size', 32 )); ?>px;
    }
<?php } ?>

<?php if ( get_theme_mod( 'swm_button_custom_colors_on', 'off' ) == 'on' ) { ?>

    <?php if ( SWM_WOOCOMMERCE_IS_ACTIVE ) : ?>
        .woocommerce #respond input#submit,
        .woocommerce a.button,
        .woocommerce button.button,
        .woocommerce input.button,
        .woocommerce #respond input#submit.alt,
        .woocommerce a.button.alt,
        .woocommerce button.button.alt,
        .woocommerce input.button.alt,
        .woocommerce button.button:disabled,
        .woocommerce button.button:disabled[disabled],
        .woocommerce #respond input#submit.alt.disabled,
        .woocommerce #respond input#submit.alt:disabled,
        .woocommerce #respond input#submit.alt:disabled[disabled],
        .woocommerce a.button.alt.disabled,
        .woocommerce a.button.alt:disabled,
        .woocommerce a.button.alt:disabled[disabled],
        .woocommerce button.button.alt.disabled,
        .woocommerce button.button.alt:disabled,
        .woocommerce button.button.alt:disabled[disabled],
        .woocommerce input.button.alt.disabled,
        .woocommerce input.button.alt:disabled,
        .woocommerce input.button.alt:disabled[disabled],
        .woocommerce button.button:disabled,
        .woocommerce button.button:disabled[disabled],
        .woocommerce-store-notice,
    <?php endif; ?>
    button,
    .button,
    a.button,
    .swm-site-content a.button,
    input[type="submit"],
    .wp-block-button a,
    .wp-block-file a.wp-block-file__button,
    .swm-site-content a.button { background:<?php echo sanitize_hex_color(get_theme_mod( 'swm_button_bg', '#eeeeee')); ?>; color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_button_color', '#000000')); ?>; border-color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_button_border_color', '#000000')); ?>; }

    <?php if ( SWM_WOOCOMMERCE_IS_ACTIVE ) : ?>
        .woocommerce #respond input#submit:hover,
        .woocommerce a.button:hover,
        .woocommerce button.button:hover,
        .woocommerce input.button:hover,
        .woocommerce #respond input#submit.alt:hover,
        .woocommerce a.button.alt:hover,
        .woocommerce button.button.alt:hover,
        .woocommerce input.button.alt:hover,
        .woocommerce button.button:disabled:hover,
        .woocommerce button.button:disabled[disabled]:hover,
        .woocommerce #respond input#submit.alt.disabled:hover,
        .woocommerce #respond input#submit.alt:disabled:hover,
        .woocommerce #respond input#submit.alt:disabled[disabled]:hover,
        .woocommerce a.button.alt.disabled:hover,
        .woocommerce a.button.alt:disabled:hover,
        .woocommerce a.button.alt:disabled[disabled]:hover,
        .woocommerce button.button.alt.disabled:hover,
        .woocommerce button.button.alt:disabled:hover,
        .woocommerce button.button.alt:disabled[disabled]:hover,
        .woocommerce input.button.alt.disabled:hover,
        .woocommerce input.button.alt:disabled:hover,
        .woocommerce input.button.alt:disabled[disabled]:hover,
        .woocommerce button.button:disabled:hover,
    <?php endif; ?>
    .swm-site-content button:hover,
    input[type="submit"]:hover,
    .button:hover,
    a.button:hover,
    .swm-site-content a.button:hover,
    .is-style-outline .wp-block-button__link:hover,
    .wp-block-button a:hover,
    .wp-block-file a.wp-block-file__button:hover { background:<?php echo sanitize_hex_color(get_theme_mod( 'swm_button_hover_bg', '#000000')); ?>; border-color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_button_hover_border_color', '#000000')); ?>; color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_button_hover_color', '#ffffff')); ?>; }

<?php } ?>