body {

    --swm-color-body: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_body_bg', '#eeeeee' )); ?>;
    --swm-color-headings: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_headings', '#000000' )); ?>;
    --swm-color-text: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_text', '#000000' )); ?>;
    --swm-color-link: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_link', '#000000' )); ?>;
    --swm-color-link-hover: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_link_hover', '#000000' )); ?>;
    --swm-color-border: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_border', '#000000' )); ?>;
    --swm-color-border-hover: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_hover_border', '#000000' )); ?>;
    --swm-color-dark-1: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_dark_1', '#000000' )); ?>;
    --swm-color-dark-2: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_dark_2', '#1a1a1a' )); ?>;
    --swm-color-light-1: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_light_1', '#ffffff' )); ?>;
    --swm-color-light-2: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_light_2', '#e4e4e4' )); ?>;
    --body-font-size: <?php echo intval(get_theme_mod( 'swm_body_font_size', 17 )); ?>px;
    --swm-body-line-height: <?php echo esc_attr(get_theme_mod( 'swm_body_font_lineheight', 1.58 )); ?>em;

    --swm-h1-font-size:<?php echo intval(get_theme_mod( 'swm_h1_font_size', 55)); ?>px;
    --swm-h1-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h1_font_lineheight', 1.1 )); ?>em;
    --swm-h1-font-weight:<?php echo intval(get_theme_mod( 'swm_h1_font_weight', 700 )); ?>;

    --swm-h1-font-size-1366:<?php echo intval(get_theme_mod( 'swm_h1_font_size_1366', 48 )); ?>px;
    --swm-h1-line-height-1366:<?php echo esc_attr(get_theme_mod( 'swm_h1_font_lineheight_1366', 1.1 )); ?>em;
    --swm-h1-font-size-1024:<?php echo intval(get_theme_mod( 'swm_h1_font_size_1024', 45 )); ?>px;
    --swm-h1-line-height-1024:<?php echo esc_attr(get_theme_mod( 'swm_h1_font_lineheight_1024', 1.1 )); ?>em;
    --swm-h1-font-size-768:<?php echo intval(get_theme_mod( 'swm_h1_font_size_768', 45 )); ?>px;
    --swm-h1-line-height-768:<?php echo esc_attr(get_theme_mod( 'swm_h1_font_lineheight_768', 1.1 )); ?>em;

    --swm-h2-font-size:<?php echo intval(get_theme_mod( 'swm_h2_font_size', 45 )); ?>px;
    --swm-h2-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h2_font_lineheight', 1.1 )); ?>em;
    --swm-h2-font-weight:<?php echo intval(get_theme_mod( 'swm_h2_font_weight', 700 )); ?>;

    --swm-h2-font-size-1366:<?php echo intval(get_theme_mod( 'swm_h2_font_size_1366', 38 )); ?>px;
    --swm-h2-line-height-1366:<?php echo esc_attr(get_theme_mod( 'swm_h2_font_lineheight_1366', 1.1 )); ?>em;
    --swm-h2-font-size-1024:<?php echo intval(get_theme_mod( 'swm_h2_font_size_1024', 35 )); ?>px;
    --swm-h2-line-height-1024:<?php echo esc_attr(get_theme_mod( 'swm_h2_font_lineheight_1024', 1.1 )); ?>em;
    --swm-h2-font-size-768:<?php echo intval(get_theme_mod( 'swm_h2_font_size_768', 35 )); ?>px;
    --swm-h2-line-height-768:<?php echo esc_attr(get_theme_mod( 'swm_h2_font_lineheight_768', 1.1 )); ?>em;

    --swm-h3-font-size:<?php echo intval(get_theme_mod( 'swm_h3_font_size', 38 )); ?>px;
    --swm-h3-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h3_font_lineheight', 1.13 )); ?>em;
    --swm-h3-font-weight:<?php echo intval(get_theme_mod( 'swm_h3_font_weight', 700 )); ?>;

    --swm-h3-font-size-1366:<?php echo intval(get_theme_mod( 'swm_h3_font_size_1366', 33 )); ?>px;
    --swm-h3-line-height-1366:<?php echo esc_attr(get_theme_mod( 'swm_h3_font_lineheight_1366', 1.13 )); ?>em;
    --swm-h3-font-size-1024:<?php echo intval(get_theme_mod( 'swm_h3_font_size_1024', 30 )); ?>px;
    --swm-h3-line-height-1024:<?php echo esc_attr(get_theme_mod( 'swm_h3_font_lineheight_1024', 1.15 )); ?>em;
    --swm-h3-font-size-768:<?php echo intval(get_theme_mod( 'swm_h3_font_size_768', 30 )); ?>px;
    --swm-h3-line-height-768:<?php echo esc_attr(get_theme_mod( 'swm_h3_font_lineheight_768', 1.6 )); ?>em;

    --swm-h4-font-size:<?php echo intval(get_theme_mod( 'swm_h4_font_size', 32 )); ?>px;
    --swm-h4-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h4_font_lineheight', 1.15 )); ?>em;
    --swm-h4-font-weight:<?php echo intval(get_theme_mod( 'swm_h4_font_weight', 700 )); ?>;

    --swm-h4-font-size-1366:<?php echo intval(get_theme_mod( 'swm_h4_font_size_1366', 28 )); ?>px;
    --swm-h4-line-height-1366:<?php echo esc_attr(get_theme_mod( 'swm_h4_font_lineheight_1366', 1.17 )); ?>em;
    --swm-h4-font-size-1024:<?php echo intval(get_theme_mod( 'swm_h4_font_size_1024', 25 )); ?>px;
    --swm-h4-line-height-1024:<?php echo esc_attr(get_theme_mod( 'swm_h4_font_lineheight_1024', 1.2 )); ?>em;
    --swm-h4-font-size-768:<?php echo intval(get_theme_mod( 'swm_h4_font_size_768', 25 )); ?>px;
    --swm-h4-line-height-768:<?php echo esc_attr(get_theme_mod( 'swm_h4_font_lineheight_768', 1.2 )); ?>em;

    --swm-h5-font-size:<?php echo intval(get_theme_mod( 'swm_h5_font_size', 25 )); ?>px;
    --swm-h5-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h5_font_lineheight', 1.25 )); ?>em;
    --swm-h5-font-weight:<?php echo intval(get_theme_mod( 'swm_h5_font_weight', 700 )); ?>;

    --swm-h5-font-size-1366:<?php echo intval(get_theme_mod( 'swm_h5_font_size_1366', 22 )); ?>px;
    --swm-h5-line-height-1366:<?php echo esc_attr(get_theme_mod( 'swm_h5_font_lineheight_1366', 1.22 )); ?>em;
    --swm-h5-font-size-1024:<?php echo intval(get_theme_mod( 'swm_h5_font_size_1024', 20 )); ?>px;
    --swm-h5-line-height-1024:<?php echo esc_attr(get_theme_mod( 'swm_h5_font_lineheight_1024', 1.35 )); ?>em;
    --swm-h5-font-size-768:<?php echo intval(get_theme_mod( 'swm_h5_font_size_768', 20 )); ?>px;
    --swm-h5-line-height-768:<?php echo esc_attr(get_theme_mod( 'swm_h5_font_lineheight_768', 1.35 )); ?>em;

    --swm-h6-font-size:<?php echo intval(get_theme_mod( 'swm_h6_font_size', 19 )); ?>px;
    --swm-h6-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h6_font_lineheight', 1.2 )); ?>em;
    --swm-h6-font-weight:<?php echo intval(get_theme_mod( 'swm_h6_font_weight', 700 )); ?>;

    --swm-h6-font-size-1366:<?php echo intval(get_theme_mod( 'swm_h6_font_size_1366', 17 )); ?>px;
    --swm-h6-line-height-1366:<?php echo esc_attr(get_theme_mod( 'swm_h6_font_lineheight_1366', 1.31 )); ?>em;
    --swm-h6-font-size-1024:<?php echo intval(get_theme_mod( 'swm_h6_font_size_1024', 16 )); ?>px;
    --swm-h6-line-height-1024:<?php echo esc_attr(get_theme_mod( 'swm_h6_font_lineheight_1024', 1.29 )); ?>em;
    --swm-h6-font-size-768:<?php echo intval(get_theme_mod( 'swm_h6_font_size_768', 16 )); ?>px;
    --swm-h6-line-height-768:<?php echo esc_attr(get_theme_mod( 'swm_h6_font_lineheight_768', 1.31 )); ?>em;

}