<?php if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( SWM_WOOCOMMERCE_IS_ACTIVE ) :  ?>

    :root {
        --swm-wc-single-relative-font-size:<?php echo intval(get_theme_mod( 'swm_wc_single_relative_font_size', 38)); ?>px;
        --swm-wc-single-relative-text-transform:<?php echo esc_html(get_theme_mod( 'swm_wc_single_relative_title_transform', 'uppercase')); ?>;
        --swm-wc-single-thumb-section-size:<?php echo esc_attr(get_theme_mod( 'swm_wc_single_thumb_section_width', 26)); ?>%;
        --swm-wc-single-thumb-space:<?php echo intval(get_theme_mod( 'swm_wc_single_gallery_img_space', 15)); ?>px;
        --swm-wc-single-thumb-space-mobile:<?php echo intval(get_theme_mod( 'swm_wc_single_gallery_img_space_mobile', 15)); ?>px;
        --swm-wc-single-gallery-column:<?php echo intval(get_theme_mod( 'swm_wc_single_gallery_col', 4)); ?>;
        --swm-wc-single-gallery-column-mobile:<?php echo intval(get_theme_mod( 'swm_wc_single_gallery_col_mobile', 2)); ?>;
    }

    .woocommerce ul.products li.product .woocommerce-loop-product__title { font-size: <?php echo intval(get_theme_mod( 'swm_wc_title_font_size', 19 )); ?>px; text-transform:<?php echo esc_html(get_theme_mod( 'swm_wc_title_transform', 'none' )); ?>;}
    .woocommerce-Price-amount.amount,
    .woocommerce ul.products li.product .button,
    .woocommerce ul.products li.product .price .amount { font-size: <?php echo intval(get_theme_mod( 'swm_wc_price_font_size', 19  )); ?>px; }

    <?php
    $swm_wc_shop_loop_h_space = get_theme_mod( 'swm_wc_shop_loop_h_space', 32 )/2;
    $swm_wc_shop_loop_v_space = get_theme_mod( 'swm_wc_shop_loop_v_space', 45 );
    ?>

    .woocommerce ul.products {
        margin-left:<?php echo intval($swm_wc_shop_loop_h_space) * -1; ?>px;
        margin-right:<?php echo intval($swm_wc_shop_loop_h_space) * -1; ?>px;
    }
    .woocommerce ul.products[class*=columns-] li.product,
        .woocommerce-page ul.products[class*=columns-] li.product { padding:0 <?php echo intval($swm_wc_shop_loop_h_space); ?>px; margin: 0 0 <?php echo intval($swm_wc_shop_loop_v_space); ?>px;  }

    @media only screen and (max-width: 767px) {

    }

    .woocommerce div.product h1.product_title { font-size: <?php echo intval(get_theme_mod( 'swm_wc_single_title_font_size', 32)); ?>px;
    text-transform:<?php echo esc_html(get_theme_mod( 'swm_wc_single_title_transform', 'uppercase' )); ?>; }

    .single-product .woocommerce-Price-amount.amount { font-size: <?php echo intval(get_theme_mod( 'swm_wc_single_price_font_size', 19)); ?>px; }

    .woocommerce .cart-collaterals .cross-sells h2,
    .woocommerce .cart-collaterals .cart_totals h2 { font-size: <?php echo intval(get_theme_mod( 'swm_wc_cart_sub_title_font_size', 24 )); ?>px; }

    @media only screen and (min-width: 768px) {

        .woocommerce #content div.product div.images,
        .woocommerce div.product div.images,
        .woocommerce-page #content div.product div.images,
        .woocommerce-page div.product div.images {width:<?php echo intval(get_theme_mod( 'swm_wc_single_gallery_section_width', 53)); ?>%; }

        .woocommerce #content div.product div.summary,
        .woocommerce div.product div.summary,
        .woocommerce-page #content div.product div.summary,
        .woocommerce-page div.product div.summary {width:calc(100% - <?php echo intval(get_theme_mod( 'swm_wc_single_gallery_section_width', 53)); ?>%); }
    }

    <?php if ( get_theme_mod( 'swm_shop_list_custom_colors_on','off' ) == 'on' ) { ?>

        .woocommerce ul.products li.product h5.swm-woo-product-title a {
            color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_shop_list_title_color', '#000000' ));?>;
        }

        .woocommerce ul.products li.product .price,
        .woocommerce ul.products li.product a.button {
            color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_shop_list_price_color', '#000000' ));?>;
        }

        .woocommerce span.onsale {
            background:<?php echo sanitize_hex_color(get_theme_mod( 'swm_wc_sale_badge_bg', '#000000' ));?>;
            color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_wc_sale_badge_font_color', '#ffffff' ));?>;
        }

    <?php } ?>

    <?php if ( get_theme_mod( 'swm_shop_single_custom_colors_on','off' ) == 'on' ) { ?>

        .woocommerce div.product h1.product_title {
           color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_shop_single_title_color', '#000000' ));?>;
        }

        .woocommerce div.product p.price {
            color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_shop_single_price_color', '#000000' ));?>;
        }

        .woocommerce .product > .summary .product_meta>span  {
            color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_shop_single_meta_color', '#000000' ));?>;
        }

    <?php }

endif;