<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( ! function_exists( 'swm_load_customizer_translations' ) ) {
    function swm_load_customizer_translations() {

      wp_enqueue_script('swm-customizer-translations', SWM_THEME_DIR . '/customizer/js/translations.js','jquery','1.0', TRUE );

      $swmFontAwesomeLink_start = '<a href="https://fontawesome.com/icons?d=gallery&s=brands&m=free" target="_blank">';
      $swmFontAwesomeLink_end = '</a>';

      $swmSocialIcons_start = '<a href="' . admin_url( 'admin.php?page=swm-advanced-settings' ) . '" target="_blank">';
      $swmSocialIcons_end = '</a>';

      $swmHeadingsFontText = esc_html__('Headings Font','studio-fifty');
      $swmBodyFontsText = esc_html__('Body Font','studio-fifty');

      wp_localize_script('swm-customizer-translations', 'swm_c_translate', array(
            'swm_page_preloader_on_s_title'                => esc_html__( 'Page Preloader', 'studio-fifty' ),
            'swm_smooth_scroll_on_s_title'                => esc_html__( 'Smooth Scroll', 'studio-fifty' ),
            'swm_bottom_go_top_scroll_btn_on_s_title'      => esc_html__( 'Scroll To Top Button', 'studio-fifty' ),
            'swm_page_comments_on_s_title'                 => esc_html__( 'Comments', 'studio-fifty' ),
            'swm_reading_progressbar_on_s_title'           => esc_html__( 'Reading Progress Bar', 'studio-fifty' ),

            'swm_widget_footer_bg_color_two'              => esc_html__('Add a slightly darker color from the primary background color for application in tags hover, form fields, etc.','studio-fifty'),
            'swm_widget_footer_border_color'              => esc_html__('Border color for form borders, link list separator borders, tags borders etc.','studio-fifty'),

            'swm_body_font_size_s_title'                  => $swmBodyFontsText,
            'swm_adobe_body_font_name_s_title'            => $swmBodyFontsText,
            'swm_custom_body_font_name_s_title'           => $swmBodyFontsText,

            'swm_custom_heading_font_name_s_title'        => $swmHeadingsFontText,
            'swm_adobe_heading_font_name_s_title'         => $swmHeadingsFontText,
            'swm_headings_font_letter_spacing_s_title'    => $swmHeadingsFontText,

            'swm_h1_font_size_1366_s_title'               => esc_html__('Responsive 1366 Typography','studio-fifty'),
            'swm_h1_font_size_1024_s_title'               => esc_html__('Responsive 1024 Typography','studio-fifty'),
            'swm_h1_font_size_768_s_title'                => esc_html__('Responsive 768 Typography','studio-fifty'),

            'swm_content_padding_s_title'                 => esc_html__('Page Content Padding','studio-fifty'),

            'swm_page_titlebar_on_s_title'                => esc_html__('Page - Titlebar','studio-fifty'),
            'swm_post_titlebar_on_s_title'                => esc_html__('Post Single - Titlebar','studio-fifty'),

            'swm_logo_standard_s_title'                   => esc_html__('Logo','studio-fifty'),
            'swm_post_title_size_s_title'                => esc_html__('Post Title','studio-fifty'),
            'swm_date_on_s_title'                         => esc_html__('Post Meta','studio-fifty'),
            'swm_archives_sidebar_s_title'                => esc_html__('Archives Pages Options','studio-fifty'),
            'swm_single_post_title_on_s_title'            => esc_html__('Post Title','studio-fifty'),
            'swm_single_date_on_s_title'                  => esc_html__('Post Meta','studio-fifty'),
            'swm_single_authorbox_on_s_title'             => esc_html__('Post Sections','studio-fifty'),
            'swm_single_related_posts_on_s_title'             => esc_html__('Related Posts','studio-fifty'),
            'swm_post_single_section_ttl_size_desktop_s_title'     => esc_html__('Sections Title','studio-fifty'),

            'swm_page_preloader_colors_on_s_title'         =>  esc_html__('Page Preloader','studio-fifty'),
            'swm_button_custom_colors_on_s_title'         =>  esc_html__('Button','studio-fifty'),
            'swm_pagination_custom_colors_on_s_title'     =>  esc_html__('Pagination','studio-fifty'),
            'swm_sidebar_custom_colors_on_s_title'        =>  esc_html__('Sidebar','studio-fifty'),
            'swm_titlebar_custom_colors_on_s_title'       =>  esc_html__('Title bar','studio-fifty'),
            'swm_mm_custom_colors_on_s_title'             =>  esc_html__('Mobile Menu','studio-fifty'),
            'swm_footer_custom_colors_on_s_title'         =>  esc_html__('Footer','studio-fifty'),
            'swm_shop_list_custom_colors_on_s_title'      =>  esc_html__('Shop List','studio-fifty'),
            'swm_shop_single_custom_colors_on_s_title'    =>  esc_html__('Shop Single','studio-fifty'),
            'swm_cursor_custom_colors_on_s_title'         =>  esc_html__('Cursor','studio-fifty'),

            'swm_wc_single_thumb_section_width_s_title'   => esc_html__('Thumbnail Gallery','studio-fifty'),

            'swm_logo_standard_info'                      => esc_html__('Retina Ready Image logo. It should be twice the size of the normal logo. For instance, a 200x100 logo will display at 100x50.','studio-fifty'),

            'swm_post_single_section_ttl_size_desktop_info'        => esc_html__('Apply styles to section titles, such as the "Leave a Comment" form on the blog single page.','studio-fifty'),
            'swm_excerpt_length_info'                     => esc_html__('If you are not using the excerpt box to display summary text, you can control the summary text from the <strong>content</strong> text. If you add summary text in the post excerpt section, it will display all excerpt content.','studio-fifty'),
            'swm_archives_sidebar_info'                   => esc_html__('Select your preferred sidebar for blog pages, such as archives, categories, author, and tags, etc.','studio-fifty'),
            'swm_body_font_weight_light_info'             => esc_html__('If the selected body font family offers the "Light," "Medium," "Semi-Bold," and "Bold" options, you can enable or disable them using the corresponding on/off options for various styles in the site body text.','studio-fifty'),
            'swm_content_padding_info' => esc_html__('Set the padding to be applied to page content in the specified format: top right bottom left (e.g. 10px 5px 10px 5px)','studio-fifty'),
            'swm_reading_progressbar_color_info' => esc_html__('Color reference: Admin > Appearance > Customize > Color','studio-fifty'),

            'swm_single_related_posts_meta_date_info'     => sprintf(esc_html__('%1$s Date Format Reference %2$s', 'studio-fifty'), '<a href="https://wordpress.org/support/article/formatting-date-and-time/#format-string-examples" target="_blank">','</a>'),

            'swm_single_authorbox_on_info' => sprintf( esc_html__( 'Note: Enable or disable share post <strong>social icons</strong> through Admin > Theme Panel > %sAdvanced Settings%s > Social Icons', 'studio-fifty' ),$swmSocialIcons_start, $swmSocialIcons_end),

            'swm_footer_custom_colors_on_info' => esc_html__('Custom colors for "Default" footer content','studio-fifty'),
            'swm_titlebar_custom_colors_on_info' => esc_html__('Custom colors for "Default" Titlebar','studio-fifty'),
            'swm_wc_shop_sale_badge_info' => esc_html__('Enabling this option will display a percentage value mark instead of a sale label on products.','studio-fifty'),
        ));
  }

    add_action( 'customize_controls_print_footer_scripts', 'swm_load_customizer_translations' );
}