<?php if ( ! defined( 'ABSPATH' ) ) { exit; } ?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<?php wp_body_open();

    get_template_part('parts/header/page-preloader');
    get_template_part('parts/header/progressbar');

    if ( get_theme_mod('swm_header_on','on') == 'on' && get_theme_mod('swm_display_header','default') == 'default' ) {
        get_template_part('parts/header/mobile-menu');
    }
    ?>

	<div id="swm-page">
		<div id="swm-outer-wrap" class="clear">
			<div id="swm-wrap" class="clear">

				<?php
                // Sticky Header
                get_template_part('parts/header/sticky-header');

                // Smooth Scroll Div Start
                if ( get_theme_mod('swm_smooth_scroll_on','on') === 'on' && get_theme_mod('swm_display_header','default') !== 'default' ) {
                    echo '<div id="smooth-wrapper"><div id="smooth-content">';
                }

				// Header
                get_template_part('parts/header/custom-header');


                // Page Title Bar

                if ( is_single() ) {

                    if ( get_theme_mod('swm_post_titlebar_on','on') == 'on' ) {

                        $swm_post_types_list = get_theme_mod('swm_posts_lists_titlebar', array('post','portfolio','product'));
                        $swm_get_post_type = get_post_type();

                        if ( !empty($swm_post_types_list) && in_array($swm_get_post_type,$swm_post_types_list) ) {
                            get_template_part('parts/header/title-bar-post');
                        }

                    }

                    $swm_blog_single_layout = get_theme_mod('swm_blog_single_layout','standard');
                    $swm_meta_blog_single_layout = get_post_meta( swm_get_queried_object_id(), 'swm_meta_blog_single_layout', true );

                    if ( 'default' !== $swm_meta_blog_single_layout ) {
                        $swm_blog_single_layout = $swm_meta_blog_single_layout;
                    }

                    if ( $swm_blog_single_layout != 'standard' || $swm_blog_single_layout != 'standard-alt' ) {
                        get_template_part('parts/posts/' .$swm_blog_single_layout);
                    }

                } else {
                    get_template_part('parts/header/title-bar-page');
                }

                ?>

				<div id="content" class="swm-main-container swm-site-content swm-anim" >
                    <div class="swm_site_content_wrap swm-container"></div>