<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( ! function_exists('swm_register_header_menu')) {
	function swm_register_header_menu() {
		register_nav_menus(array(
			'primary' => esc_html__('Main Navigation', 'studio-fifty'),
            'footer' => esc_html__('Footer Menu', 'studio-fifty')
		));
	}
	add_action( 'init' , 'swm_register_header_menu' );
}

/* Primary */

if ( ! function_exists('swm_primary_nav')) {
	function swm_primary_nav() {

        if ( has_nav_menu( 'primary' ) ) {

    		return wp_nav_menu(array(
            			'theme_location' => 'primary',
            			'sort_column'    => 'menu_order',
            			'container'      => false,
            			'menu_class'     => 'swm-primary-nav swm-default-primary-nav',
            			'menu_id'        => 'swm-primary-nav',
            			'echo'           => true,
            			'depth'          => 0
            		));

        } else {
            return;
        }
	}
}

/* Footer */

if ( ! function_exists('swm_footer_menu')) {
    function swm_footer_menu() {

        if ( has_nav_menu( 'footer' ) ) {

                return wp_nav_menu( array(
                    'theme_location' => 'footer',
                    'sort_column'    => 'menu_order',
                    'container'      => false,
                    'menu_class'     => 'footer_menu',
                    'menu_id'        => 'footer_menu',
                    'echo'           => true,
                    'depth'          => 1
                ));
        } else {
            return;
        }

    }
}

/* Add svg image sub menu items */

if ( ! function_exists( 'swm_add_nav_item_svg_icon' ) ) {
    function swm_add_nav_item_svg_icon( $title, $item, $args, $depth ) {

        if ( in_array( 'menu-item-has-children', $item->classes, true ) ) {
            $title .= swm_get_svg_icon( 'angle', 'swm-svg-submenu-indicator' );
        }

        if ( $depth == 0 ) {
            $title .= swm_get_svg_icon( 'curve', 'swm-svg-menu-link-curve' );
        }

        return $title;
    }

    add_filter( 'nav_menu_item_title', 'swm_add_nav_item_svg_icon', 10, 4 );
}