<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

$swm_about_author_description = wp_kses( get_the_author_meta('description'),swm_kses_allowed_text() );

if ( $swm_about_author_description != '' ) {

	$swm_about_author_box = get_theme_mod('swm_single_about_author',1);

	$swm_avatar_size = '376';

	if ( $swm_about_author_box != 1 && $swm_about_author_description == '' && is_single() ) { return; }

	$swm_post_author_url = get_the_author_meta('user_url');
	$swm_author_subtitle = get_the_author_meta('author-subtitle');
	?>

	<div class="swm-about-author-box">
			<div class="swm-about-author">

				<div class="swm-about-author-left-wrap">
					<a class="swm-about-author-box-img" href="<?php echo esc_url( get_author_posts_url(get_the_author_meta( 'ID' ) ) ); ?>">
						<?php echo get_avatar(get_the_author_meta('email'),$swm_avatar_size); ?>
					</a>
				</div>

				<div class="swm-about-author-biotext">
					<div class="swm-about-author-title-subtitle" >
						<a class="swm-about-author-name swm-heading-text swm-color-headings" href="<?php echo esc_url( get_author_posts_url(get_the_author_meta( 'ID' ) ) ); ?>"><?php echo get_the_author(); ?></a>
						<?php if ( '' !== $swm_author_subtitle ) { ?><span class="swm-about-author-bio-subtitle"><?php echo esc_html($swm_author_subtitle); ?></span><?php } ?>
					</div>
					<p><?php echo wp_kses( get_the_author_meta('description'),swm_kses_allowed_text() );?></p> <?php

					if ( $swm_post_author_url != '' ) { ?>

						<p class="swm-about-author-bio-website"><strong><?php echo esc_html__( 'Website', 'studio-fifty' );?>:</strong> <a href="<?php echo esc_url($swm_post_author_url); ?>"><?php echo esc_url($swm_post_author_url); ?></a></p>

					<?php } ?>

					<div class="clear"></div>

					<?php
                        $swm_author_sm_icons = '';

						$author_contacts = array('facebook-f','twitter','pinterest','linkedin-in','instagram','tumblr','delicious','vimeo-square','youtube-play');

						foreach ($author_contacts as $author_contact ) {
							if ( get_the_author_meta($author_contact) ) {
								$swm_author_sm_icons .= '<li><a href="' . esc_url( get_the_author_meta($author_contact) ) . '" target="_blank" ><i class="fab fa-' . esc_attr($author_contact) . '"></i></a></li>';
							}
						}

                        if ( !empty($swm_author_sm_icons) ) {
                            echo '<ul class="swm-post-author-icon">'.$swm_author_sm_icons.'</ul>';
                        }
						?>

					<div class="clear"></div>

				</div>
				<div class="clear"></div>

			</div>
			<div class="clear"></div>
		</div>
		<div class="clear"></div>
<?php }