<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( has_post_thumbnail() ) {

	$swm_meta_content_layout = '';
	$swm_blog_page_layout = get_theme_mod( 'swm_blog_page_layout','layout-sidebar-right');
	$swm_meta_content_layout =  get_post_meta( get_the_ID(), 'swm_meta_content_layout', true );

	if ( $swm_blog_page_layout == 'layout-full-width' || $swm_blog_page_layout == 'layout-full-screen' ) {
		$swm_image_size_type = 'swm_image_size_post_fullwidth';
	} else {
		$swm_image_size_type = 'swm_image_size_post';
	}

	if ( is_single() ) {
		$swm_PostLinkStart = '';
		$swm_PostLinkEnd = '';

		if ( is_single() ) {
			if ( $swm_meta_content_layout != '' && $swm_meta_content_layout == 'layout-full-width' || $swm_blog_page_layout == 'layout-full-screen') {
				$swm_image_size_type = 'swm_image_size_post_fullwidth';
			} else {
				$swm_image_size_type = 'swm_image_size_post';
			}
		}

	} else {
		$swm_PostLinkStart = '<a href="'.get_permalink().'" title="' . esc_attr( get_the_title() ) . '">';
		$swm_PostLinkEnd = '</a>';
	}

	?>
	<div class="swm-post-image">
		<div class="swm-post-format">
			<figure>
				<?php
                if ( get_theme_mod('swm_date_on','on') ) {
                    echo '<div class="swm-post-image-date"><span class="swm-post-image-date-day">' . get_the_time( 'd' ) . '</span><span class="swm-post-image-date-month">' . get_the_time( 'M' ) . '</span></div>';
                }

                if ( get_theme_mod('swm_cats_on','on') == 'on' ) {
                    echo '<div class="swm-post-image-category">' . get_the_term_list( get_the_ID(), 'category', '', '' ) . '</div>';
                }
				echo wp_kses( $swm_PostLinkStart,swm_kses_allowed_text() ) . get_the_post_thumbnail(get_the_ID(), $swm_image_size_type ) . $swm_PostLinkEnd;
				?>
			</figure>
			<div class="clear"></div>
		</div>
	</div>
<?php } ?>