<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

$swm_post_date_on         =  get_theme_mod('swm_single_date_on','on');
$swm_post_author_name     =  get_theme_mod('swm_single_author_name_on','on');
$swm_post_cats            =  get_theme_mod('swm_single_cats_on','on');
$swm_post_comments        =  get_theme_mod('swm_single_comments_on','on');
$swm_single_post_title_on =  get_theme_mod('swm_single_post_title_on','on');

$swm_meta_cats = get_the_category();
$swm_meta_cat_list = array(); ?>

<div class="swm-post-title-section">

    <?php
    if ( $swm_single_post_title_on == 'on' && get_the_title() ) {
        echo '<div class="swm-post-title-content">
                <div class="swm-post-title"><h1 class="swm-color-headings">' . wp_kses( get_the_title(),swm_kses_allowed_text() ) . '</h1></div>
            </div>';
    } ?>

    <?php if ( $swm_post_date_on == 'on' || $swm_post_author_name == 'on' || $swm_post_comments == 'on' || $swm_post_cats == 'on' ) : ?>

        <div class="swm-post-meta highlight-text"><?php

            if ( $swm_post_date_on == 'on' ) {
                $date_link = empty( get_the_title() ) && ! is_single() ? get_the_permalink() : get_month_link( get_the_time( 'Y' ), get_the_time( 'm' ) );
                $classes   = '';
                if ( is_single() || is_page() || is_archive() ) { // This check is to prevent classes for Gutenberg block
                    $classes = 'published updated';
                }
                ?><a itemprop="dateCreated" href="<?php echo esc_url( $date_link ); ?>" class="entry-date <?php echo esc_attr( $classes ); ?>"><?php the_time( get_option( 'date_format' ) ); ?></a><div class="swm-post-meta-separator swm-post-meta-separator-date"></div><?php
            }

            if ( $swm_post_cats == 'on' ) {
                echo '<div class="swm-post-meta-cat-list">' . get_the_term_list( get_the_ID(), 'category', '', '<span class="swm-post-meta-cat-separator"></span>' ) . '</div><div class="swm-post-meta-separator swm-post-meta-separator-cat-list"></div>';
            }

            if ( $swm_post_author_name == 'on' ) {
                echo '<span class="swm-info-author-label">' . esc_html__( 'by', 'studio-fifty' ) . '</span> <a itemprop="author" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) )) . '" class="swm-info-author">' . get_the_author() . '</a><div class="swm-post-meta-separator"></div>';
            }

            if ( $swm_post_comments == 'on' ) {
                if ( comments_open() ) {
                    echo '<a itemprop="url" href="' . get_comments_link() . '" class="swm-info-comments-link">' . swm_get_comments_number(false) . '</a><div class="swm-post-meta-separator"></div>';
                }
            } ?>

        </div>

    <?php endif; ?>

</div>