<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
class swmContactForm7 {
	public function __construct() {

		if ( ! defined( 'CF7MSM_PLUGIN' ) && function_exists( 'wpcf7_enqueue_scripts' ) && apply_filters( 'swm_conditional_wpcf7_scripts', true ) ) {
			add_filter( 'wpcf7_load_css', '__return_false' );  // Remove CSS Completely - theme adds styles
			add_filter( 'wpcf7_load_js', '__return_false' );  // Remove JS
			add_action( 'wpcf7_contact_form', array( $this, 'enqueue_scripts' ), 1 );  // Conditionally load JS

		}
        if ( defined( 'WPCF7_VERSION' ) ) {
            remove_action( 'wpcf7_init', 'wpcf7_add_form_tag_submit' ); // Remove default button tag
            add_action( 'wpcf7_init', array( $this,'swm_cf7_add_submit_form_tag') ); // add custom button tag
        }

	}

	public function enqueue_scripts() {
		wpcf7_enqueue_scripts();
		wpcf7_enqueue_styles();
	}

    function swm_cf7_add_submit_form_tag() {
        wpcf7_add_form_tag( 'submit', array( $this,'swm_cf7_submit_form_tag_handler') );
    }

    function swm_cf7_submit_form_tag_handler( $tag ) {
        $tag   = new WPCF7_FormTag( $tag );
        $class = wpcf7_form_controls_class( $tag->type );

        $atts             = array();
        $atts['class']    = $tag->get_class_option( $class );
        $atts['class']   .= ' swm-cf7-button';
        $atts['id']       = $tag->get_id_option();
        $atts['tabindex'] = $tag->get_option( 'tabindex', 'int', true );

        $value = isset( $tag->values[0] ) ? $tag->values[0] : '';
        if ( empty( $value ) ) {
            $value = esc_html__( 'Send', 'studio-fifty' );
        }

        $atts['type'] = 'submit';
        $atts         = wpcf7_format_atts( $atts );

        $html = sprintf( '<button %1$s><span class="swm-cf7-btn-text">%2$s</span><span class="swm-cf7-btn-icon">' . swm_get_svg_icon( 'arrow', 'swm-svg-contact-btn-arrow' ) . '</span></button>', $atts, $value );

        return $html;
    }

}
new swmContactForm7();