<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

get_header(); $swm_blog_page_layout = get_theme_mod( 'swm_blog_page_layout', 'layout-sidebar-right' );
	if (!is_active_sidebar('search-sidebar') ) {
		$swm_blog_page_layout = 'layout-full-width';
	}
?>
	<div class="swm-container swm-<?php echo esc_attr($swm_blog_page_layout); ?> swm-post-sidebar-page" >

		<div class="swm-column swm-custom-two-third">
			<div class="swm_page_container <?php echo esc_attr(get_theme_mod('swm_page_content_style','page_style_box')); ?>">
				<div class="swm_page_content swm-scroll-load">

					<?php
						global $wp_query;
						$swm_search_term      = trim(get_search_query());
						$swm_search_result    = '';
						$swm_no_search_result = '';
						$swm_get_search_query = '<span class="swm-search-p-query-text">'.esc_html( get_search_query() ).'</span>';
						$swm_search_result    = $wp_query->found_posts;
                    ?>

                    <h3 class="swm-search-pg-subtitle <?php echo esc_attr($swm_no_search_result); ?>"><?php
                        echo sprintf( esc_html__( 'Search: %1$s','studio-fifty' ), $swm_get_search_query ); ?>
                    </h3>

                    <?php get_search_form(); ?>
                    <p><?php echo esc_html__( 'If you\'re not happy with the results, please do another search.','studio-fifty' ) ?></p>

                    <?php

					if (have_posts()) : ?>

						<div class="search_pg_box <?php if ( $swm_search_result == 1 ) { echo 'swm_search_result_one'; } ?>">

							<ul class="swm-search-list">

								<?php while (have_posts()) : the_post(); ?>
								<li>

									<?php if( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) && get_theme_mod('swm_search_thumbnail_on','on') == 'on' ) { ?>
										<div class="swm-search-featured-img"><a href="<?php echo esc_url( get_the_permalink() ); ?>" title="<?php esc_attr( the_title() ); ?>"><?php echo get_the_post_thumbnail(get_the_ID(), 'thumbnail' ); ?></a></div>
									<?php } ?>

									<div class="swm-search-page-text">
										<h5><a href="<?php echo esc_url( get_the_permalink() ); ?>" title="<?php esc_attr( the_title() ); ?>"><?php esc_html(the_title()); ?></a></h5>

										<?php
										$swm_old_content = '';

                                        if ( get_theme_mod('swm_search_post_expert_on','on') == 'on' ) {

    										if (has_excerpt()) {
    										    $swm_old_content = get_the_excerpt();
    										} else {
    											ob_start();
    											the_content();
    											$swm_old_content = ob_get_clean();
    										}

                                        }

										$swm_new_content = wp_strip_all_tags($swm_old_content);
										if ( $swm_new_content ) { ?>
											<div class="swm-search-excerpt"><?php
												echo substr($swm_new_content,0,250).'...'; ?>
											</div><?php
										}
										?>

									</div>

									<div class="clear"></div>
								</li>

									<?php
								endwhile;
								?>
							</ul>
							<div class="clear"></div>

						</div>
						<div class="clear"></div>
					<?php

					else: ?>
						<div class="swm-page-box-content swm-search-page-no-result-text">

							<p><?php echo esc_html__( ' No posts were found for provided query parameters.','studio-fifty' ) ?></p>

							</div><?php

					endif;

					wp_reset_postdata();

					if ( $swm_search_term != '' ) {
						swm_standard_pagination($wp_query->max_num_pages);
					}

					?>
					<?php wp_reset_postdata(); ?>

					<div class="clear"></div>
				</div>
			</div>
		</div>

		<?php if (is_active_sidebar('search-sidebar') ) {
			get_sidebar();
		} ?>

	</div>	<?php
get_footer();