<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

// Set tag cloud font size
function swm_woocommerce_tag_cloud_widget($args) {
    $args['number']   = 0;   // adding a 0 will display all tags
    $args['largest']  = 100;  // largest tag
    $args['smallest'] = 100;  // smallest tag
    $args['unit']     = '%'; // tag font unit
    return $args;
}

// Define the loop_shop_columns callback
if(!function_exists('swm_filter_loop_shop_columns')) {
    function swm_filter_loop_shop_columns( $int ) {
        $int = (get_theme_mod('swm_wc_shop_column') <> '') ? esc_attr(get_theme_mod('swm_wc_shop_column')) : 3;
        return $int;
    };
}

// Set products per page
if(!function_exists('swm_loop_shop_per_page')) {
    function swm_loop_shop_per_page( $products_per_page ) {

        $per_page = (get_theme_mod('swm_wc_products_per_page',12) <> '') ? intval(get_theme_mod('swm_wc_products_per_page',12)) : 12;

        if ( ! empty( $per_page ) ) {
            $products_per_page = intval( $per_page );
        }

        return $products_per_page;

    }
}

// Product list - add custom div
if(!function_exists('swm_wc_before_shop_loop_item')) {
    function swm_wc_before_shop_loop_item() {
        echo '<div class= "swm_shop_loop_item">';
    }
}

if(!function_exists('swm_wc_after_shop_loop_item')) {
    function swm_wc_after_shop_loop_item() {
        echo '</div>';
    }
}

// Add additional tags around results and ordering
if(!function_exists('swm_add_results_and_ordering_holder')) {
    function swm_add_results_and_ordering_holder() {
        echo '<div class="swm-woo-results">';
    }
}

if(!function_exists('swm_add_results_and_ordering_holder_end')) {
    function swm_add_results_and_ordering_holder_end() {
        echo '</div>';
    }
}

// ##################################################################################

// Product Image
if(!function_exists('swm_add_product_list_item_image_holder')) {
    function swm_add_product_list_item_image_holder() {
        echo '<div class="swm-woo-product-image">';
    }
}

if(!function_exists('swm_add_product_list_item_image_holder_end')) {
    function swm_add_product_list_item_image_holder_end() { echo '</div>'; }
}

// Product Image Overlay
if(!function_exists('swm_add_product_list_item_additional_image_holder')) {
    function swm_add_product_list_item_additional_image_holder() {
        echo '<div class="swm-woo-product-image-inner swm-anim">';
    }
}

if(!function_exists('swm_add_product_list_item_additional_image_holder_end')) {
    function swm_add_product_list_item_additional_image_holder_end() {
        do_action( 'swm_action_product_list_item_additional_image_content' );

        global $product;
        $link = apply_filters( 'woocommerce_loop_product_link', get_the_permalink(), $product );
        echo '<a href="' . esc_url( $link ) . '" class="swm-woo-product-list-link"></a>';

        echo '</div>';
    }
}

// Product Content
if(!function_exists('swm_add_product_list_item_content_holder')) {
    function swm_add_product_list_item_content_holder() {
        echo '<div class="swm-woo-product-content">';
    }
}

if(!function_exists('swm_add_product_list_item_content_holder_end')) {
    function swm_add_product_list_item_content_holder_end() {
        do_action( 'swm_action_product_list_item_additional_content_end' );
        echo '</div>';
    }
}

function swm_product_list_item_additional_content_start() {
    echo '<div class="swm-woo-title-price-holder">';
}
add_action( 'swm_action_product_list_item_additional_content_start','swm_product_list_item_additional_content_start' );


function testdone() {
    echo '</div>';
}
add_action( 'swm_action_product_list_item_additional_content_end','testdone',1 );

// Product Title
if(!function_exists('swm_woo_shop_loop_item_title')) {
    function swm_woo_shop_loop_item_title() {
        do_action( 'swm_action_product_list_item_additional_content_start' );
        echo '<h5 class="swm-woo-product-title woocommerce-loop-product__title">';
        do_action( 'swm_woo_product_list_title_tag_link_open' );
        echo wp_kses_post( get_the_title() );
        do_action( 'swm_woo_product_list_title_tag_link_close' );
        echo '</h5>';
    }
}

// Product Categories List
if(!function_exists('swm_add_product_list_item_categories')) {
    function swm_add_product_list_item_categories() {
        if ( get_theme_mod( 'swm_shop_list_category_on', 'off' ) == 'on' ) {
            global $product;
            echo ! empty( $product ) ? wc_get_product_category_list( $product->get_id(), '<span class="swm-info-separator-single">/</span>', '<div class="swm-woo-product-categories swm-e-info">', '<div class="swm-info-separator-end"></div></div>' ) : '';
        }
    }
}

// Function that disable heading template on main shop page
if(!function_exists('swm_woo_disable_page_heading')) {
    function swm_woo_disable_page_heading() {
        return false;
    }
}

// Function that add additional content around product lists on main shop page
if(!function_exists('swm_add_product_list_holder')) {
    function swm_add_product_list_holder( $html ) {
        return '<div class="swm-woo-product-list">' . $html;
    }
}

// Function that add additional content around product lists on main shop page
if(!function_exists('swm_add_product_list_holder_end')) {
    function swm_add_product_list_holder_end( $html ) {
        return $html . '</div>';
    }
}

// Function that insert custom template file for product list widgets
if ( ! function_exists( 'swm_woo_get_content_widget_product' ) ) {
    function swm_woo_get_content_widget_product( $located, $template_name ) {

        if ( 'content-widget-product.php' === $template_name && file_exists( SWM_WOOCOMMERCE . '/templates/content-widget-product.php' ) ) {
            $located = SWM_WOOCOMMERCE . 'templates/content-widget-product.php';
        }

        return $located;
    }
}

// Function that insert custom template file for product list widgets
if ( ! function_exists( 'swm_woo_get_content_widget_reviews' ) ) {
    function swm_woo_get_content_widget_reviews( $located, $template_name ) {

        if ( 'content-widget-reviews.php' === $template_name && file_exists( SWM_WOOCOMMERCE . '/templates/content-widget-reviews.php' ) ) {
            $located = SWM_WOOCOMMERCE . 'templates/content-widget-reviews.php';
        }

        return $located;
    }
}


// Function that insert custom template file for product list widgets
if ( ! function_exists( 'swm_woo_get_product_single_meta' ) ) {
    function swm_woo_get_product_single_meta( $located, $template_name ) {

        if ( 'single-product/meta.php' === $template_name && file_exists( SWM_WOOCOMMERCE . '/templates/single-product/meta.php' ) ) {
            $located = SWM_WOOCOMMERCE . 'templates/single-product/meta.php';
        }

        return $located;
    }
}

function swm_override_woo_templates() {
    add_filter( 'wc_get_template', 'swm_woo_get_content_widget_product', 10, 2 );
    add_filter( 'wc_get_template', 'swm_woo_get_content_widget_reviews', 10, 2 );
    add_filter( 'wc_get_template', 'swm_woo_get_product_single_meta', 10, 2 );
}

add_action( 'before_woocommerce_init', 'swm_override_woo_templates' );

// "SALE" badge content

if ( ! function_exists( 'swm_add_sale_flash_on_product' ) ) {
    function swm_add_sale_flash_on_product() {
        echo swm_woo_set_sale_flash(); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
    }
}

if ( ! function_exists( 'swm_woo_set_sale_flash' ) ) {
    function swm_woo_set_sale_flash() {
        global $product;

        if ( ! empty( $product ) && $product->is_on_sale() && $product->is_in_stock() ) {
            return swm_woo_get_woocommerce_sale( $product );
        }

        return '';
    }
}

if ( ! function_exists( 'swm_woo_get_woocommerce_sale' ) ) {
    function swm_woo_get_woocommerce_sale( $product ) {
        $enable_percent_mark = get_theme_mod('swm_wc_shop_sale_badge','off');
        $price               = floatval( $product->get_regular_price() );
        $sale_price          = floatval( $product->get_sale_price() );

        if ( $price > 0 && 'on' === $enable_percent_mark ) {
            $sale_label = '-' . ( 100 - round( ( $sale_price * 100 ) / $price ) ) . '%';
        } else {
            $sale_label = esc_html__( 'Sale', 'studio-fifty' );
        }

        return '<span class="onsale">' . $sale_label . '</span>';
    }
}

if ( ! function_exists( 'swm_woo_pagination_args' ) ) {
    function swm_woo_pagination_args($args) {
            $args['prev_text'] =  $args['next_text'] = swm_get_svg_icon( 'arrow', 'swm-svg-shop-pagination-arrow' );
            $args['type']      = 'plain';
         return $args;
    }

    add_filter( 'woocommerce_pagination_args', 'swm_woo_pagination_args' );
}