<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

//gallery thumbnail count
if(!function_exists('swm_woo_product_thumbnails_columns') ) {
    function swm_woo_product_thumbnails_columns() {
        $single_page_gallery_thumbnails = (get_theme_mod('swm_wc_single_gallery_col',5) <> '') ? esc_attr(get_theme_mod('swm_wc_single_gallery_col',5)) : 5;

        $single_page_gallery_thumbnails = (get_theme_mod('swm_wc_single_gallery_position','bottom') == 'bottom') ? $single_page_gallery_thumbnails : 4;

        return $single_page_gallery_thumbnails;
    }
}

// Override related products args
if(!function_exists('swm_woo_single_related_product_list_columns')) {
    function swm_woo_single_related_product_list_columns( $args ) {

        $swm_related_products_per_page = (get_theme_mod('swm_related_products_per_page',3) <> '') ? esc_attr(get_theme_mod('swm_related_products_per_page',3)) : 3;
        $swm_wc_related_products_col = (get_theme_mod('swm_wc_related_products_col',3) <> '') ? esc_attr(get_theme_mod('swm_wc_related_products_col',3)) : 3;

        $args['posts_per_page'] = intval( $swm_related_products_per_page );
        $args['columns']        = intval( $swm_wc_related_products_col );

        return $args;
    }
}
// Override upsell products args

if(!function_exists('swm_woocommerce_upsell_display_args')) {
    function swm_woocommerce_upsell_display_args( $args ) {

        $swm_wc_up_sells_per_page = (get_theme_mod('swm_wc_up_sells_per_page',3) <> '') ? esc_attr(get_theme_mod('swm_wc_up_sells_per_page',3)) : 3;
        $swm_wc_up_sells_col = (get_theme_mod('swm_wc_up_sells_col',3) <> '') ? esc_attr(get_theme_mod('swm_wc_up_sells_col',3)) : 3;

        $args['posts_per_page'] = intval( $swm_wc_up_sells_per_page );
        $args['columns']        = intval( $swm_wc_up_sells_col );

        return $args;
    }
}

// Override cross sells products args
if(!function_exists('swm_cross_sells_columns')) {
    function swm_cross_sells_columns( $columns ) {
        $columns = (get_theme_mod('swm_wc_cross_sales_col',3) <> '') ? esc_attr(get_theme_mod('swm_wc_cross_sales_col',3)) : 3;
        return $columns;
    }
}

if(!function_exists('swm_cross_sells_total')) {
    function swm_cross_sells_total( $total ) {
        $total = (get_theme_mod('swm_wc_cross_sells_per_page',3) <> '') ? esc_attr(get_theme_mod('swm_wc_cross_sells_per_page',3)) : 3;
        return $total;
    }
}

// Add placeholders in review form
if(!function_exists('swm_wc_product_review_comment')) {
    function swm_wc_product_review_comment( $comment_form ) {

        $commenter                  = wp_get_current_commenter();
        $name_email_required        = (bool) get_option( 'require_name_email', 1 );
        $required_html              = ( $name_email_required ) ? '&nbsp;<span class="required">*</span>' : '';
        $required_html_placeholder  = ( $name_email_required ) ? ' *' : '';

        $comment_form['fields']['author']  = '<p class="comment-form-author">
                                                <label for="author">' . esc_html__( 'Name', 'studio-fifty' ) . $required_html . '</label>
                                                <input id="author" placeholder="' . esc_html__( 'Name', 'studio-fifty' ) . $required_html_placeholder . '" name="author" type="text" value="' . $commenter['comment_author'] . '" size="30" ' . ( $required_html ? 'required' : '' ) . ' /></p>';

        $comment_form['fields']['email']  = '<p class="comment-form-email">
                                                <label for="email">' . esc_html__( 'Email', 'studio-fifty' ) . $required_html . '</label>
                                                <input id="email" placeholder="' . esc_html__( 'Email', 'studio-fifty' ) . $required_html_placeholder . '" name="email" type="email" value="' . $commenter['comment_author'] . '" size="30" ' . ( $required_html ? 'required' : '' ) . ' /></p>';


        if ( wc_review_ratings_enabled() ) {
            $comment_form['comment_field'] = '<div class="comment-form-rating"><label for="rating">' . esc_html__( 'Your rating', 'studio-fifty' ) . ( wc_review_ratings_required() ? '&nbsp;<span class="required">*</span>' : '' ) . '</label><select name="rating" id="rating" required>
                <option value="">' . esc_html__( 'Rate&hellip;', 'studio-fifty' ) . '</option>
                <option value="5">' . esc_html__( 'Perfect', 'studio-fifty' ) . '</option>
                <option value="4">' . esc_html__( 'Good', 'studio-fifty' ) . '</option>
                <option value="3">' . esc_html__( 'Average', 'studio-fifty' ) . '</option>
                <option value="2">' . esc_html__( 'Not that bad', 'studio-fifty' ) . '</option>
                <option value="1">' . esc_html__( 'Very poor', 'studio-fifty' ) . '</option>
            </select></div>';
        }

        $comment_form['comment_field'] .= '<p class="comment-form-comment"><label for="comment">' . esc_html__( 'Your review', 'studio-fifty' ) . '&nbsp;<span class="required">*</span></label><textarea id="comment" placeholder="' . esc_html__( 'Your review', 'studio-fifty' ) . '" name="comment" cols="45" rows="8" required></textarea></p>';
        return $comment_form;
    }
}

// Product single review section gravatar image size
if( ! function_exists( 'swm_woo_review_image' ) ) {
    function swm_woo_review_image() {
        return 100;
    }
    add_filter( 'woocommerce_review_gravatar_size', 'swm_woo_review_image', 999 );
}

//Large image holder
if ( ! function_exists( 'swm_add_product_single_image_holder' ) ) {
    function swm_add_product_single_image_holder() {
        echo '<div class="swm-woo-single-image">';
    }
}

if ( ! function_exists( 'swm_add_product_single_image_holder_end' ) ) {
    function swm_add_product_single_image_holder_end() {
        echo '</div>';
    }
}