<?php
/**
 * The template for displaying product widget entries.
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-widget-reviews.php
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.4.0
 */

defined( 'ABSPATH' ) || exit;

?>
<li class="swm-woo-product-list-widget">
    <?php do_action( 'woocommerce_widget_product_review_item_start', $args ); ?>

    <?php
    // phpcs:disable WordPress.Security.EscapeOutput.OutputNotEscaped
    ?>

    <div class="swm-woo-product-list-widget-image">
        <a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
            <?php echo wp_kses( $product->get_image() ,swm_kses_allowed_textarea() ); ?>
        </a>
    </div>

     <div class="swm-woo-product-list-widget-content">
        <h6 class="swm-woo-product-title"><?php echo wp_kses_post( $product->get_name() ); ?></h6>
        <?php echo wc_get_rating_html( intval( get_comment_meta( $comment->comment_ID, 'rating', true ) ) ); ?>

        <div class="swm-woo-product-list-widget-review-text reviewer">
        <?php
        /* translators: %s: Comment author. */
        echo sprintf( esc_html__( 'by %s', 'studio-fifty' ), get_comment_author( $comment->comment_ID ) );
        ?>
        </div>
    </div>

    <?php
    // phpcs:enable WordPress.Security.EscapeOutput.OutputNotEscaped
    ?>

    <?php do_action( 'woocommerce_widget_product_review_item_end', $args ); ?>
</li>
